Command Reference for Kantronics TNCs up to version 5 March 1992
═COMMAND═════ARG══════DEFAULT═══════════DESCRIPTION═══
*
* This file was created for use with the paKet (c)1989 program only.
* This Help File was created/updated by Andy, VK4WAC.
*
* This manual mainly refers to the KAM version 5 manual. Various
* commands are the same in other Kantronics TNC's but when it is
* stated KAM 5 only this refer's to the firmware version 5 update.
* The newer version 6.1 firware and its added features are not covered
* in this manual although quite a lot of the settings are the same.
*
* The top two lines must remain in this file as is. They are used
* by the program for the headings on the display window.
* The first describes the type of TNC this file is set up for and
* is displayed on the bottom of the TNC help window.
* The second is the headings for the TNC help window and this line
* should line up with the "header" data in this file.
*
* Each help item starts with its "header" which is identified by
* the "@" in the first column. This is then followed by a variable
* number of lines of detailed help for that item.
*
* Any line in this file beginning with an "*" is treated as a comment
* and is ignored by the paKet program.
*
*UPPERCASE CHARACTERS are minimum that will be correctly parsed by the TNC.
******************************************************************************
@##TIPS##                       Operating Tips of paKet 6 and your KAM

Welcome to paKet 6. This new version is more flexible and allows you to
get more out of your TNC....these simple tips have been put together as
they have been found to be the major things to get right to make your KAM
work best. The firmware level of this manual is KAM/KPC-4 version 5.

Because the KAM does not have a STREAMDBL command, this causes LOTS of
problems.... set the STREAMDBL command in the Multi Users Options (Alt-Z)
to OFF. It is recommended that you set STREAMEV ON in the TNC as well to
ensure that paKet 6 sees the correct stream characters for the VHF and HF
ports.

CD should be set to INTERNAL/SOFTWARE for best results. Sometimes you
might notice that the VHF port does not decode for some reason, this is
either due to not enough data modulation on the signal received or
interference on the frequency. An example of this is if the next door
neighbour is mowing his lawn and pulsing is on the received data!!!!! If
this is the case, set CD to INTERNAL until the interference goes away.

If you think the front end sensitivity of your KAM could be improved,
there is a modification available to improve it to the KAM + standard.
This message was on the BBS system a while back and it works well.

Using both ports on the KAM at once with paKet 6 can be achieved easily.
If you want 2 windows on VHF and 2 windows on HF then set paKet up
to the following in "Comms Windows Settings" config (ALT-Z ,3):

              Window Number  1  2  3  4
      TNC Stream Identifier  A  B  A  B
TNC Stream Switch Character  |  |  ~  ~

Ensure that Multi-User Options (ALT-Z,2) number of comms windows is set to
4 as well.

 ## IF you wish to send text files or YAPP to someone over a ROSE
network it is best to set MAXFRAME 1 before starting the transfer. This
avoids clogging of the network, and thus hanging up in the middle of the
transfer.  ##

 ## Have you ever tried to reconnect to at station using a different path
without sucess????? With version 5.0 if you wish to reconnect to a station
(ie.. you are already connected and wish to use a different path) you
simply issue a new CONNECT command with the destination and new path
specified.... be careful though as some data MAY be lost in the process ##

 ## Before performing a file transfer to someone, make sure that you
have as much free TNC memory as possible as this really affects the way
the transfer will perform... It is actually suggested to reduce your PBBS
to abt 5K (be careful, you CAN lose some msgs if you do this...see PBBS).
If the TNC does not have enough free memory, the transfer will "bog down"
and end up around 30-50 bytes per second. This is rather poor on a 1:1
link. If this does happen, check your MAXFRAME settings and PACLEN
settings... you have to have the MAXFRAME number of PACLEN available as
free TNC memory to perform a good transfer.. I CANNOT STRESS HOW IMPORTANT
THIS IS WHEN PERFORMING FILE TRANSFERS. Reduce NUMNODES to 0 if need be as
well as setting the PBBS to a low value. Experiment with these settings
to obtain the optimum values for good file transfers. ##

If using paKet 6 in conjunction with another program such as HostMaster or
kaGOLD, make sure that these programs leave the TNC in TERMINAL mode on
exit. If the TNC is not set back to TERMINAL mode, paKet cannot
communicate to the TNC and you will only receive "garbage" from the TNC.
If you wish to use a "host-mode" program as well as paKet, you might have
to setup an AUTOEXEC.SCP file (in the default paKet directory) to
automatically set some of the commands back to the required settings for
paKet. (see paKet Manual for more details)


<<BETTER MEMORY MANAGEMENT IN YOUR TNC DOES WONDERS!!>>

It is suggested that you have as much Free TNC Memory as possible.
Read these sections of this manual for a better idea of setting up your KAM
and what it can and canNOT do:

CD, Ctext, DWait, HBaud, KNXCon, MAXFRAME, MAXUSERS, Myremote, Navtex,
NUMNODES, PBBS, PBHeader, STREAMEv, Version, Wefax


Hopefully these few tips will give you hours of paKet-radio enjoyment (hi!)

******************************************************************************
@8bitconv     ON|OFF    ON      Pass or strip high bit in CONVerse mode.
Mode:  All Modes.  All Units.

Parameters:
    ON  - 8-bit data is allowed in the packet Convers Mode and ASCII mode.
    OFF - 8th data bit is stripped in Converse Mode.


This parameter should be ON.

If you wish to obtain 8-bit data transmission but do not want all the
features of Transparent mode, set this command to ON.

This feature may be most useful for transmitting non-ASCII character sets.

If OFF, the 8th data bit is stripped. This setting corresponds to the Word
Length or Data Bits setting of your communications program. Some terminal
programs will not operate properly with 8BITCONV ON, but for paKet, it
should be ON.

See also: PARity.
******************************************************************************
@Abaud        n         0       Baud Rate Setting.
Mode:  All Modes. All Units.

Kantronics TNC Defaults:
               All Units..........0

Parameters:
    KPC-1       n = (0, 300, 1200, 9600)
    all others  n = (0, 300,  600, 1200, 1800, 2400, 4800, 9600)

The parameter n sets the baud rate for input and output through the serial
port of the TNC to the computer.

If 0 is used, the TNC will run an autobaud routine upon power-up. This
routine looks for a "*" character from the attached computer to set the
ABAUD parameter. If you wish to use a different baud rate or to perform
autobaud every time the unit is powered up, you must change the ABAUD
parameter before PERMing.

If you want to change the baud rate you should change and PERM the baud
rate in the TNC first. Then change paKet's Configuration.  paKet will
(optionally) issue the RESET command after you change the Configuration.

Otherwise a hard reset will be required to erase the ABAUD setting and
reinitialise the TNC to perform the autobaud routine. Note also that a
hard reset will erase ALL stored parameters in your TNC and return to
factory defaults.

See also: PErm, RESet, RESTORE.
****************************************************************************
@AMTOR                  I-cmd   Places TNC in AMTOR Mode
Mode:  Amtor.  KAM only

Kantronics TNC Defaults:
               KAM.....................Immediate command.

Parameters:
    AMTOR    [xxxx[xxx]] characters (or 4, 5, or 9 digits)
             (This is a selcal)

This command, entered with the Selcal, places the TNC in AMTOR master
mode and the TNC will initiate an ARQ call.

Entering AMTOR without xxxx[xxx] will place the TNC in standby mode for
reception of either ARQ or Mode B (FEC or SELFEC) signals. You may
initiate a Mode B (FEC) transmission by using the Ctrl-C directive
followed by a letter T. ARQ signals received must contain the selcal you
have entered in the MYSEL4 or MYSEL7 commands to be decoded.

See also: AUTOStrt, CANline, Fec, Lamtor, MIsschar, MYsel4, MYSEL7,
PMode, REPhase, TXDAmtor, TXDFec.
******************************************************************************
@ARqbbs       ON|OFF    OFF     Enables Amtor PBBS
Mode:   Amtor    KAM 5 Only

When ON, this command will allow another station to link to the PBBS of
your KAM using AMTOR Mode A. You must also have your PBBS enabled
according to the instructions in the Operations manual, PBBS section. The
PBBS will respond to any of the selcals in MYSELCAL. Note that when this
command is turned ON, the KAM will not monitor any FEC or SELFEC broadcasts.
To monitor what is being sent to the PBBS by the remote station, the
MONITOR command should be ON for the HF port.
To monitor what the PBBS is sending, turn XMITECHO ON.

See also: ARQId, PBBS;PBBS section int he Operations Manual.
******************************************************************************
@ARQId        n         9       Amtor PBBS to ID when in use after n minutes
Mode:   Amtor    KAM 5 Only

Parameters:
    ARQid n ( n = 0 to 31 )

This command is used only by the AMTOR PBBS system in the KAM and causes
your KAM to automatically send an ID every n minutes when the PBBS is
being used by an AMTOR station. The ID consists of the callsign of the
other station (as he has entered it) followed by DE and your MYCALL
callsign. Setting this command to 0 disables the automatic ID. The PBBS
will seize the link from the other station, if required, to send the ID
and then return the link to the other station.

See also: ARqbbs
******************************************************************************
@ARQTime      n         2       Sets ARQ timeout interval
Mode:   Amtor    KAM 5 only

Parameters:
    ARQTime n ( n = 1 - 10 )

This command sets the timeout interval when attempting to link to another
station in ARQ mode. The interval is set in increments of 64 ARQ cycles
(approximately 28.8 seconds).

See also: amtor
******************************************************************************
@ASCBaud      n         110     Sets default ASCII baud rate
Mode:   ASCII    KAM only

Kantronics TNC Defaults:
               KAM.....................110

Parameters:
    ASCII n (n = 20 - 500)

This command sets the default ASCII baud rate when entering
ASCII mode with no baud rate specified. This baud rate is also used
if PMODE is set to ASCII.

While in the ASCII Mode pressing <Ctrl-C> 0 will set the baud rate to that
specified by ASCBAUD.

See also: Ascii.
******************************************************************************
@Ascii        n         I-cmd   Places TNC in ASCII mode
Mode:   ASCII    KAM only

Kantronics TNC Defaults:
               KAM.....................Immediate command

Parameters:
    n (= 20 - 500)

This command places the TNC in ASCII Mode.

The parameter n sets the transceiver baud rate. For example, use ASCII 150
if you wish to go on the air at 150 baud. When the n parameter is omitted,
the value specified by ASCBAUD is selected. Commonly used standards are
either 110 or 300. Selecting any other value requires that the station you
are trying to communicate with has similar selection capability.

See also: ASCBaud, AUTOStrt,CANline, Hbaud, PMode.
******************************************************************************
@AUtocr       n         72      Send <CR> after n characters typed
Mode:   RTTY, ASCII, AMTOR   KAM only

Kantronics TNC Defaults:
               KAM......................72

Parameters:
    n (n = 0 - 255)

A carriage return <CR> character is sent to the radio after n characters
are typed in a line. For example, with n = 72 <CR> is automatically sent
after 72 other characters have been typed. The character count is reset to
zero whenever a manual <CR> is sent from the keyboard.

If you are using paKet's Type Ahead buffer with Word Wrap option ON, you
could set this value to 0 or to a value greater than 80, and allow paKet
to generate a <CR> when it wraps the last word to the next line.  This
will make for tidier transmissions and will be easier for the other
station to read.
******************************************************************************
@AUTOLf       ON/OFF    ON      Linefeed sent to terminal after each <CR>
Mode:   RTTY/ASCII/AMTOR/Packet   All Units

Kantronics TNC Defualts:
               All Units................ON

Parameters:
     ON  - A linefeed is sent to the computer after each carriage return.
     OFF - No linefeed is sent to the computer after each carriage return.

This parameter should be set ON when overprinting occurs and the computer
being used does not automatically supply its own linefeed after a carriage
return. This command affects only the data sent to the computer, not data
sent in packets.

The easiest way to see which setting you should use, is to set AUTOLF ON
if the TNC's sign on message lines are overtyped. Otherwise, set AUTOLF
OFF.

See also: CR, LFadd
******************************************************************************
@AUTOStrt     ON/OFF    OFF     Allow selective Auto Start
Mode:   RTTY/ASCII/AMTOR   KAM only

Kantronics TNC Defaults:
               KAM......................OFF

When ON and in RTTY/ASCII Mode, the KAM will receive information only when
preceded by the MYAUTOST. A series of four "N's" signifying end of
message, or thirty seconds of no signal will cause the TNC to stop
receiving data. No further information will be received until a new
MYAUTOST activates it again.

When ON and in FEC mode, only AMTOR SELFC (Selective FEC) messages
beginning with MYSEL4 or the MYSEL7 will be received. Loss of lock will
cause the TNC to stop receiving data. No further information will be
received until a new MYSEL4 or MYSEL7 activates it again.

See also: MYAUtost, MYSel4, MYSEL
******************************************************************************
@Ax25l2v2     ON|OFF    ON/ON   Use AX.25 vers 1 or vers 2 protocol
Mode:   Packet   All Units

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....ON
               KAM/KPC-4................ON/ON

Parameters:
  ON  - Select level 2 version 2.0 of AX25 protocol.
  OFF - Select level 2 version 1.0 of AX25 protocol.

Version 1.0 was only implemented to allow correct digipeating from early
TNC1's of version 2.0 AX25 packets.

You would normally set AX25L2V2 ON, which is the default setting

(NOTE: Changing this setting after connecting to another station will have
no effect on the current connectiuon.)

See also: RELink, TRIes
******************************************************************************
@AXDelay      n         0       Key-up delay for voice repeaters
Mode:   Packet  All Units

Kantronics TNC Defaults:
               All Units................0

Parameters:
     n = 0 to 255, the voice repeater keyup delay in 10ms increments.

Each increment specifies 10 millisecond intervals. This value specifies a
period of time to wait, in addition to TXDELAY, after keying the VHF
transmitter before data is sent. This delay can be helpful when operating
packet through a standard "voice" repeater, or when using an external
linear amplifier which requires extra key-up time. Repeaters using slow
mechanical relays, split-sites, or both require some amount of time to get
RF on the air.

Note: This command does not apply to the HF port in the KAM.
******************************************************************************
@AXHang       n         0       Hang time for voice repeaters
Mode:   Packet  All Units

Kantronics TNC Defaults:
               All Units................0

Parameters:
     n - 0 to 255 specifies the voice repeater hang time in 10ms
         increments.


Each increment specifies 10 millisecond intervals. This value may be used
to improve channel utilisation when audio repeaters with a hang time
greater than 10ms are used. If the repeater squelch tail is long, it is
not necessary to wait for AXDELAY after keying the VHF transmitter if the
repeater is still transmitting. If the TNC has heard a packet within the
AXHANG period, it will not add AXDELAY to the keyup time.

Note: This command does not apply to the HF port in the KAM.
*****************************************************************************
@Beacon       n         0       Set timing for automatic BEACON message
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....every 0
               KAM/KPC-4................every 0/every 0

Parameters:
    EVERY n - Sends beacon text every "n" minutes.
    AFTER n - Sends beacon text once "n" minutes after last packet
              activity.

          n - 0 to 250 minutes.
              If n=0, Beacons are disabled.

BTEXT beacons are sent addressed to "BEACON" via the addresses and path
specified in "UNPROTO" command. If BTEXT is blank no beacons are sent.

The AFTER command can be used to send messages or announcements only when
packet stations are on the air and active.

In some areas, beacons are frowned upon as they "clutter" an already busy
frequency. Check with the local gentlemen's agreement before setting this
on.
******************************************************************************
@BKondel      ON|OFF    ON      Determine handling of <BACKSPACE>
Mode:   All modes except Wefax.

Kantronics TNC Defaults:
               All Units................ON

Parameters:
      ON  - <BACKSPACE><SPACE><BACKSPACE> is echoed when a character
            is deleted.
      OFF - <BACKSLASH>("\") is echoed when a character is deleted.

When ON, the sequence backspace-space-backspace is sent when the DELETE
character is entered.

When OFF, the backslash character "\" is sent to the terminal when the
DELETE character is entered.

This parameter should be ON.

See also: DElete, REDisplay
******************************************************************************
@BText        text      blank   BEACON message
Mode:   Packet

Kantronics TNC Defaults:
               All Units................blank

Parameters:
     text - Any normal text message of up to 128 characters and spaces.

BTEXT specifies the content of the data portion of the beacon packet. Any
combination of characters and spaces may be used with a maximum length of
128. "%" will clear BTEXT.

See also Beacon.
******************************************************************************
@BUDCalls               NONE    For use with BUdlist
Mode: Packet

Kantronics TNC Defaults:
               All Units................NONE

Parameters:
     [+/-]callsign(s) or NONE

A list of up to 10 callsigns for use with BUDLIST or CONLIST. To delete or
add individual entries precede the callsign with a "-" or "+" respectively.

For example to delete VK2DHU type BUDC -VK2DHU.

See also: BUdlist, CONList
******************************************************************************
@BUdlist                OFF     Select stations to be monitored
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....OFF
               KAM/KPC-4................OFF/OFF

Parameters:
     OFF(NO,NONE)|TO|FROM|BOTH(ON, YES)

When OFF, BUDLIST will allow monitoring of all packets even if the BUDCALLS
list has callsigns in it.

When BOTH or ON, only those stations whose callsigns are listed in
BUDCALLS will be monitored. Packets addressed to or from those callsigns
will be monitored.

If BUDLIST is TO, only those packets addressed to a station in the
BUDCALLS list will be monitored, those from that station will not be
monitored.

When set to FROM, those packets from the stations in BUDCALLS will be
monitored, but not those packets addressed to the BUDCALLS list.

Note that suppressed calls (see SUPLIST) take precedence over BUDLIST. For
instance if you have VK2BZC in your SUPCALLS with SUPLIST TO, and you have
VK2DHU in your BUDCALLS with BUDLIST BOTH, then packets from VK2DHU to
VK2BZC will NOT be monitored.

See also: BUDCalls, Monitor, SUplist
******************************************************************************
@CALIbra      -         I-cmd   Modem calibration
Mode:   Immediate

Kantronics TNC Defaults:
               All Units................Immediate command.

The CALIBRATE command is used to generate a square-wave signal which may be
used as an aid in tuning the transceiver for operation with the TNC.

Use of this command is explained in the Calibration/Equalisation Section
of the Installation Manual.

The letter "X" will return you to Command Mode.
******************************************************************************
@CANline      n         $18     Character to cancel a line
Mode:   All Modes Except Wefax

Kantronics TNC Defaults:
               All Units................$18 (Ctrl-X)

Parameters:
      n - $00 to $FF specifies the ASCII character used to cancel an input
          line.

This command is used to change the cancel-line input editting command
character. When in Convers or Command Mode entering a <Ctrl-X> will cancel
all characters input from the keyboard back to the last un-PASSed carriage
return (unless PACTIME has expired and CPACTIME is turned on).

When using the KAM in any mode except packet, typing the CANLINE character
will clear the TNC's transmit buffer - that is, all characters waiting to
be transmitted, which have not yet been sent, will be discarded.

NOTE - if you include the letter X in paKet's PASSCODES (refer the Online
       Configuration option 5.5), paKet will automatically generate a PASS
       code to allow you to send a <Ctrl-X> to the other station.  If you
       need to do that, you might set this CANline code to some OTHER
       value so you can still send <Ctrl-X> to the other guy.

See also: CANPac, CPactime, PASs
******************************************************************************
@CANPac       n         $19     Character to cancel a packet
Mode:   Packet

Kantronics TNC Defaults:
               All Units................$19 (Ctrl-Y).

Parameters:
      n - $00 - $FF specifies the ASCII character used to cancel a packet.

This command is used to change the cancel-packet command character.

When in the Convers Mode entering a <Ctrl-Y> will cancel all keyboard
input back to the last unpassed SENDPAC character (unless PACTIME has
expired and CPACTIME is turned on).

This character also functions as a cancel-output character in Command Mode.
Typing the cancel-output character a second time re-enables normal output.
For example, if you've told the TNC to do a DISPLAY, a <Ctrl-Y> will stop
the display and a second one re-enables the cmd: prompt after the next
<CR>.

See also: CANline, CPactime, SEndpac
******************************************************************************
@CCitt        ON|OFF    ON      European RTTY code (ITA2) is used
Mode:   RTTY/Packet

Kantronics TNC Defaults:
               KAM......................ON
               KPC-2/KPC-2400...........OFF (See below)

Parameters:
    ON  - Transmitted characters are translated into the CCITT
          International Telegraph Alphabet #2 before being sent.
    OFF - Transmitted characters remain in American standard
          Baudot format.


KAM -
When ON, the European RTTY code (ITA2) is used in thr RTTY Mode. This
code differs from US TTY codes in the following four characters:

        ITA2          US TTY's
        ----          --------
        BELL          '
        '             BELL
        +             "
        =             ;

KPC-2/KPC-2400 -
When OFF, standard Bell 103 or Bell 202 tone pairs are selected. When
ON, the CCITT v.21 or v.23 tone pairs are selected. The specific pairs
are determined by the settings of the HF and HFTONES commands. The
following chart shows the relationship of these three commands:

    CCIT      HF      HFTONE      TONE PAIR
    ----      --      ------      ---------
    off       off     off         1200/2200 (Bell 202)
    off       off     on          1200/2200 (Bell 202)
    off       on      off         1070/1270 (Bell 103)
    off       on      on          2025/2225 (Bell 103)
    on        off     off         1300/2100 (CCITT v.23)
    on        off     on          1300/2100 (CCITT v.23)
    on        on      off          980/1180 (CCITT v.21)
    on        on      on          1650/1850 (CCITT v.21)

See also: HF, HFTones
******************************************************************************
@CD                     INTERNAL Carrier Detect options
Mode:   Packet

Kantronics TNC Defaults:
               All Units................INTERNAL

Parameters:
     INTERNAL -  The TNC will detect a signal present on the frequency based
                 on the method used by the attached modem. This is normally
                 an energy type carrier detect, allowing shared voice and
                 data on the same channel.

     EXTERNAL -  The carrier detect is supplied by an external device,
                 connected to the XCD pin on the radio port.

     SOFTWARE -  The firmware inside the TNC will detect the presence of
                 data to enable the carrier detection, allowing operation
                 with an un-squelched audio. Correct operation of SOFTWARE
                 detect is affected by proper equalisation and the SWP
                 parameter. On the KPC-2, KPC-2400, and KPC-1 this is a
                 software command (EQUALIZE). The KAM and KPC-4 have
                 internal jumpers to set the equalisation (see
                 Calibration/Equalization section of the Installation
                 Manual).

KPC-2400 - Another option is available for the KPC-2400. When set to
           2400, the KPC-2400 will use the carrier detect circuit of
           the 2400 b/s modem, even when the other speeds are selected
           by the HBAUD command. During 2400 b/s operation, the CD
           setting is ignored, and the 2400 b/s carrier detect is
           utilised.


Tests prove that best results on HF are with CD INTERNAL.
On VHF however, if the CD is set to INTERNAL, and the mute on the FM radio
opens due to QRM, the TNC will not transmit. IF CD is set to SOFTWARE on
the VHF port then unsquelched audio does not worry the TNC.

Suggestion is to set CD INTERNAL/SOFTWARE (KAM)

See also: SWp
******************************************************************************
@CHeck        n         0       Connection timeout
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....0.
               KAM/KPC-4................0/0.

Parameters:
     n - 0 to 255 specifies the check time in 10 second intervals.
         0 disables this feature.

Each increment of check is 10 seconds. If n is greater than 0, then a
periodic check (poll) will be made to determine that a connected state
still exists when no activity has occured for n * 10 seconds. This
prevents "hang-up" in a connected mode when a link failure occurs as a
result of conditions beyond the control of the connected stations. If n
equals 0 then this timeout function is disabled. If using version 1
(AX25L2V2 OFF), a check timeout will initiate a disconnect.

See also: AX25l2v2,KNtimer, RELink, RNrtime
******************************************************************************
@CMdtime      n         1       Transparent mode timeout value
Mode:   Packet

Kantronics TNC Defaults:
               All Units................1

Parameters:
      'n' - 0 to 15 specifies the timeout value in 1 second intervals
            while in Transparent mode.

This command sets the time allowed for entry of required characters to
escape the Transparent Mode.

In order to allow escape to Command Mode from Transparent Mode, while
permitting any character to be sent as data, a guard time of CMDTIME
seconds is set up. After a delay of CMDTIME since the last data characters
must be entered within CMDTIME of each other. After a final delay of
CMDTIME the TNC will exit Transparent Mode and enter Command Mode. At this
time you should see the cmd: prompt.

If CMDTIME is set to 0, the only exit from Transparent Mode is a modem
break signal.   paKet supports the BREAK signal and this is considered a
better method of escaping from Transparent Mode. So check paKet's Serial
Port Configuration and specify BREAK as the preferred method rather than
Ctrl-C.  In any case, leave this parameter set to 1.

See also: COMmand, PBBS
******************************************************************************
@CMSg                   OFF     Send CTEXT on Connection
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....OFF
               KAM/KPC-4................OFF/OFF

Parameters:
     ON   - A CTEXT message is sent as first packet after connect is made.
     OFF  - The CTEXT message is not sent.
     DISC - The CTEXT message is sent, then TNC will disconnect.
     PBBS - The CTEXT message is sent and then the connection will
            automatically be transferred to your PBBS. This will occur if
            PBBS is available.

The text of the message is contained in CTEXT which must contain text
(spaces only is not considered text) in order for the DISC and PBBS
function to operate.

This function might be useful if you leave your system running but are
unavailable to answer the connect request manually.

It is recommended you leave CMSG ON and change the contents of CTEXT
to reflect the state of your system. This is easily accomplished by
specifying an appropriate CTEXT message in both the Begin and End
Auto commands. (via the Configuration Window options).

See also: CText, PBBS
******************************************************************************
@COMmand      n         $03(^C) Character to enter COMMAND Mode
Mode:   All Modes

Kantronics TNC Defaults:
           All Units....................$03 (Ctrl-C)

Parameters:
    n - 00 -$FF specifies the ASCII character used to enter Command
        mode.

This command is used to change the Command Mode entry character.

When COMMAND is set to the default value, sending a <Ctrl-C> causes the
TNC to return to Command Mode from paKet Convers Mode. (see CMDTIME for
returning to Command Mode from Transparent Mode.) This character is also
used for special commands in non-paKet mode.

For paKet please leave this set to the default of 3, which is equivalent
to <Ctrl-C>. When using Binary File transfers, paKet needs to enter
Transparent mode and it may send <Ctrl-C>s to return to Command mode on
completion of the file transfer.

If you prefer to use <Ctrl-C> instead of the preferred BREAK signal, you
must ensure the letter C is NOT included in the PASSCODES table  in
paKet's configuration (<Alt-Z> 5.5) otherwise your <Ctrl-C> will be PASSed
through the TNC and sent to the other station!
******************************************************************************
@CONlist      ON|OFF    OFF     Ignores packets except those in BUDLIST
Mode: Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....OFF
               KAM/KPC-4................OFF/OFF

Parameters:
      ON  - The TNC will recognise only those packets received with a
            callsign that also appears in the BUDCALLS list.
      OFF - All calls are recognised.

All other packets, except those in the BUDCALLS list, are completely
ignored when ON. In other words, if a station is not in the BUDCALLS
list, he may not use your station for ANY purpose, including digipeating
through you. In addition, you will not be able to connect to any station
that is not in your BUDCALLS list.

See also: BUDCalls
******************************************************************************
@CONMode      C|T       C       Enter CONV or TRANS Mode on Connection
Mode:   Packet

Kantronics TNC Defaults:
               All Units................Convers

Parameters:
      CONVERS - The Kantronics units automatically enters Converse mode on
                connect.
      TRANS   - The Kantronics units automatically enters Transparent mode
                on connect.

This command controls the mode the TNC will be placed AUTOMATICALLY after a
connect if NOMODE is OFF.

The connect may result either from a connect request received or a connect
request originated by a CONNECT command. If the TNC is already in Convers
or Transparent Mode when the connection is completed, the mode will not be
changed. If you have typed part of a command line when the connection is
completed, the mode change will not take place until you complete the
command or cancel the line input.

This would normally be left at the default CONVERS setting.

See also: CANline, Connect, CONVers, NOmode, Trans
******************************************************************************
@Connect      call      none    Connect to another Packet station
Mode:   Packet

Kantronics TNC Defaults:
               All Units................Immediate command

Parameters:
      'call' - may be a single call sign or multiple call signs via
               digipeaters.

Example:
      C VK7ABC               Attempt a direct connection to VK7ABC
      C VK7ABC VIA VK7RPT    Attempt a connection to VK7ABC via a
                             digipeater (VK7RPT).
      C VK7ABC V VK7RPT,VK3XX-1,VK3ZZZ
                             Attempt a connection to VK7ABC via 3
                             digipeaters.

Type the digipeaters in the sequence you wish to use to route your packets.
An error message is returned and the command is aborted if:
   - no response after RETRY attempts, or
   - the other TNC is already connected, or
   - the other TNC is attempting a connect, or a disconnect.

If the CONNECT command is entered with no parameters, the status of the
current stream is displayed.

 ## Have you ever tried to reconnect to at station using a different path
without sucess????? With version 5.0 if you wish to reconnect to a station
(ie.. you are already connected and wish to use a different path) you
simply issue a new CONNECT command with the destination and new path
specified.... be careful though as some data MAY be lost in the process ##



See also: CONMode, CONOK, MAXUSERS, NOmode, RETry, Ring, STReamsw, XMitok
******************************************************************************
@CONOK        ON|OFF    ON      Allow other stations to connect
Mode:   Packet

Kantronics TNC Defaults:
               Al Units.................ON

Parameters:
     ON - Connect requests from other TNCs will be automatically
          acknowledged and a <UA> packet will be sent. The standard connect
          message will be sent to the paKet program. The mode specified by
          CONMODE will be entered on the I/O stream if you are not
          connected to another station and NOMODE is OFF.

     OFF - Connect requests from other TNCs will not be acknowledged and a
           <DM> packet will be sent to the requesting station. The message
           "connect request:(call)" will be output to your terminal if
           INTFACE is TERMINAL.

When operating with multiple connects allowed, the connection will take
place on the next available stream. Connect requests in exess of the
number allowed by the USERS command will receive a <DM> response and the
"connect request: (call)" message will be output to your terminal if
INTFACE is TERMINAL.

It is recommended the INTFACE setting be set to BBS to avoid those
"connect request" messages which could interfere with Binary Transfers.

See also: CONMode, Connect, INtface, MAXUSERS, Monitor, NOmode, Users
******************************************************************************
@CONVers      -         I-cmd   Enter CONVERSE Mode

Kantronics TNC Defaults:
               All Units................Immediate command

CONVERS has no options. It is an immediate command and will cause entry
into Conversational Mode from the Command Mode on the current I/O stream.
Any link connections are not affected.

See also: K, COMmand
******************************************************************************
@CPactime     ON|OFF    OFF     Send packets periodically
Mode:   Packet

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
      ON  - (In Convers Mode), packets are sent at periodic intervals
            determined by PACTIME.
      OFF - (In Convers Mode), packets are sent when the SENDPAC character
            is entered or when PACLEN is achieved.

When ON characters are sent periodically as in Transparent Mode but the
local editing and echoing features of Convers Mode are enabled. CR should
normally be OFF in this configuration,otherwise the SENDPAC character is
appended at random intervals as the input is paketised by the timer.

See also: CONVers, CR, Paclen, PACTime, SEndpac, Trans
******************************************************************************
@CR           ON|OFF    ON      <CR> appended to all packets in Convers
Mode:   Packet

Kantronics TNC Defaults:
               All Units................ON

Parameters:
      ON  - The SENDPAC character (normally carriage return) is appended
            to all packets sent in Convers Mode.
      OFF - The SENDPAC character is not appended to any packets sent in
            Convers Mode.

Setting CR ON and SENDPAC $0D results in a natural conversation mode. Each
line is sent when a <CR> is entered and arrives at its destination with
the <CR> appended to the end of the line. To avoid overprinting, AUTOLF
may need to be ON at the receiving end.

See also: AUTOLf,LFadd, SEndpac
******************************************************************************
@CRAdd        ON|OFF    OFF     Send additional <CR> in RTTY/ASCII/AMTOR
Mode:   RTTY/ASCII/AMTOR

Kantronics TNC Defaults:
               KAM......................OFF

When ON, a <CR> character is added to any <CR> character sent to the radio.
This is to allow a <CR>, <CR>, <LF> sequence.
******************************************************************************
@CRSup        ON|OFF    OFF     Suppresses every other CR in received data
Mode:   Packet             All units with ver 5 Only

When ON, this command suppresses every other carriage return (when no data
is between them) in the received data before sending the data to the
terminal. When OFF, no suppression of data occurs.

Mode: Packet/RTTY/ASCII/AMTOR    KAM 5 only default ON/OFF

This command has a non-packet setting and a packet setting. The value left
of the / is for the non-packet modes, and the value to the right of the /
is for packet. When ON, this command suppresses every other carriage
return (when no data is between them) in the received data before sending
the data to the terminal. When OFF, no suppression of data occurs.

This is particularly useful for RTTY, ASCII and AMTOR since the standard
end-of-line sequence is a <CR><CR><LF>. If you have CRSup set to ON and
this <CR><CR><LF> is received, the KAM would send only the <CR><LF> to the
terminal. If the other station were to press the return key twice to
obtain a blank line, he would be sending <CR><CR><LF><CR><CR><LF>
sequence, and your KAM would send <CR><LF><CR><LF> to the terminal, thus
stripping extra Carriage returns. If your terminal automatically handles
the addition of a line feed, you could remove them by using the LFSUP
command. For packet operation, the sending station usually does not send
extra Carriage Returns, this it is defaulted OFF for packet.

See also: autolf,lfsup
******************************************************************************
@CStamp       ON|OFF    OFF     Time/day stamp Connect and Disconnect msg
Mode:   Packet

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
      ON  - Connect status messages are time stamped.
      OFF - Connect status messages are not time stamped.

The DAYTIME command is used to set the date and time.

If CSTAMP is ON the connect message might appear as follows:
 cmd:C VK2DHU
 cmd:*** CONNECTED to VK2DHU [12-05-94  20:28:33]

See also: Connect, DAytime, Disconnect, MStamp
******************************************************************************
@CText        text      blank   Message sent on Connection
Mode:   Packet

Kantronics TNC Defaults:
               All Units................blank

Parameters:
      text - Any combination of characters and spaces (up to a
             maximum of 128 characters).

Enter any combination of characters and spaces  up to a maximum length of
128. Entering a single "%" will clear CTEXT. This entry specifies the text
of the first packet to be sent in response to an accepted connect request
provided that the parameter CMSG is not OFF.

To take advantage of the auto-forwarding feature of paKet 6, set this to
send [paKet-6.0-HM$] as the first line and then whatever you like
afterwards...

Try this...

[paKet-6.0-HM$]  (put the pass character here,usually a ctrl-v,then enter)
Gudday....Andy will be with you in a second, if not use the menu! (enter)


See also: CMSg, Connect
******************************************************************************
@CW           n         I-cmd   Sets the TNC in CW Mode
Mode:   CW

Kantronics TNC Defaults:
               KAM......................Immediate command

Parameters:
     n = 5-99

This command sets the TNC in CW Mode with a morse code speed of n words per
minute.

For example, use CW 30 to set a transmit CW speed of 30.

When receiving CW, estimate the speed and then enter CW with that speed.
For example if the code sounds like 20 WPM, then enter CW 20. Auto ranging
for CW speed tracking is +/- 20 WPM from the speed selected. If no value
is entered for n, the speed specified in CWSPEED will be used.

See also: CANline, CWSpeed, PMode,
******************************************************************************
@CWBand       n         200     Set CW bandwidth
Mode:   CW

Kantronics TNC Defaults:
               KAM......................200

Parameters:
     n = 10-1000

This command sets the bandwidth of the TNC input filters for CW in Hertz. A
small bandwidth will be harder to tune, but copy will be better.
******************************************************************************
@CWID         Every|After       Send CW ID Every|After n
Mode:   Packet/KISS

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....Every 0
               KAM/KPC-4................Every 0/Every 0

Parameters:
     n = 0-255 minutes

A value of 0 turns the ID OFF. Setting a value greater than 0 activates
the ID under the conditions specified.

If the optional keyword Every is used, an ID will be sent every n minutes.

If set to After, an ID will be sent ONCE after the specified interval with
no channel activity.

The callsign specified by the MYCALL command will be sent in CW using AFSK
tones. Some countries require all stations to ID in Morse code
periodically.

See also: MYcall
******************************************************************************
@CWPtt        ON|OFF    OFF     Controls radio PTT method in CW mode
Mode: CW             KAM 5 only
default: OFF

When OFF, the KAM will not operate the PTT line of your transceiver when
the <Ctrl-C>T directive is given in the CW mode. This is compatible with
previous versions of the KAM firmware and means your transceiver must be
in CW mode with the VOX enabled for CW operation. When ON, the PTT line
from the KAM will be keyed when the <Ctrl-C>T directive is given in the CW
mode, eliminating the need for VOX operation.
******************************************************************************
@CWSpeed      n         25      Sets default CW speed
Mode:   CW

Kantronics TNC Defaults:
               KAM......................25

Parameters:
      n = 5-99

This command sets the default Morse Code speed used when entering the CW
Mode with no parameter. This speed is also used if PMODE is set to CW.

See also: CW
******************************************************************************
@CWTone       n         750     Sets CW filter
Mode:   CW

Kantronics TNC Defaults:
               KAM......................750

Parameters:
      n = 50-2000

This command sets the CW filter centre frequency (in Hz) for receiving CW.
******************************************************************************
@DAytime      date/time none    Sets Date and Time in All Units
Mode:   Packet

Kantronics TNC Defaults:
               All Units................none

Parameters:
      'date/time' - This should be the current date and time in the
                    format: "YYMMDDHHMM".

If the parameter yymmddhhmmss is present, the software clock/calendar is
set for MHEARD and NDHEARD logging, and, CSTAMP and MSTAMP functions. When
entering the daytime digits, enter in pure number sequence with no spaces,
dashes or slashes.

For example: 911204213706 would indicate 1991, December 4, at 21:37:06
hours.

If DAYTIME is entered with no parameter the daytime is displayed in a form
depending on the setting of the DAYUSE flag. If the SmartWatch option is
installed a setting of DAYTIME 000000000000 will turn it off.

With paKet you would not normally use this command as there is an <Alt-T>
facility available to generate the DAYTIME command with the computer's
current date and time. The command will also be generated and sent
automatically every time the paKet program starts up.

See also: CSTamp, DAYUsa, MHeard, MSTamp
******************************************************************************
@DAYTweak     n         8       Tweak clock speed
Mode:   Packet/WEFAX

Kantronics TNC Defaults:
               All Units................8

Parameters:
     n = 0-15

This parameter is used to tweak the clock for accurate time keeping.
Increasing the parameter will slow the clock, decreasing the parameter will
speed up the clock. Each count corresponds to .85 seconds increase or
decrease per day. Ambient temperature will affect the clock to some degree.

If WEFAX pictures are skewing, use this command to adjust the clock speed of
the TNC.
******************************************************************************
@DAYUsa       ON|OFF    ON      Date/Time display format
Mode:   Packet

Kantronics TNC Defaults:
               All Units................ON

Parameters:
     ON  - Date is displayed in the format mm/dd/yy.
     OFF - Date is displayed in the format dd-mm-yy.

The format for entering date and time is not affected and must be as
specified in DAYTIME.

See also: DAytime
******************************************************************************
@DBldisc      ON|OFF    OFF     Disconnect command
Mode:   Packet

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
     ON  - No disconnect until acknowledgement received.
     OFF - Only one disconnect command (D) need be given.

When OFF and you are actually connected, the normal disconnect sequence
will occur.

When ON, you will not be disconnected until you receive an acknowledge of
your disconnect or until the retry count is exceeded. A second D is
required to force a local disconnect independent of the retry counter.

See also: Disconnect
******************************************************************************
@DELete       n         $08     Use <DEL> or <BACKSPACE> for editing
Mode:   All Modes

Kantronics TNC Defaults:
               All Units................$08 (backspace)

Parameters:
      ON  - The delete character for editing input is <DEL> ($7F).
      OFF - The delete character is <BACKSPACE> ($08).

This command sets the character to be used as the delete character. When
this character is typed, the last input character is deleted. The most
common settings are $08 (backspace) and $7F (delete).

For paKet, leave this parameter set to its default of 8.

See also: BKondel
******************************************************************************
@DIDdle       ON|OFF    ON      Synchronising for RTTY/ASCII
Mode:   RTTY/ASCII

Kantronics TNC Defaults:
               KAM......................ON

Parameters:
      ON  - In RTTY, the KAM will send <LTRS> when idling.
            In ASCII, the KAM  will send <NUL> when idling.

      OFF - No characters are sent while idling.
******************************************************************************
@DIGipeat     ON|OFF    ON      Allow digipeating
Mode:   Packet

Kantronics TNC Defaults:
           KPC-1/KPC-2/KPC-2400.........ON
           KAM/KPC-4....................ON/ON

Parameters:
     ON  - The KAM  will allow digipeating through your station.
     OFF - The KAM  will not allow digipeating.

When ON, any packet received that has MYCALL or MYNODE in the digipeat
list of its address field will be retransmitted. Each station included
in the digipeat list relays the packet in the order specified in the
address field. Digipeating takes place concurrently with other TNC
operation of the station.

To disable digipeat operations (via MYCALL or MYNODE) turn this command
OFF.

Defaults:    ON - KPC-1/KPC-2/KPC-2400
          ON/ON - KAM/KPC-4

See also: HId, MYAlias, MYcall, MYNode
******************************************************************************
@Disconnect   -         I-cmd   Disconnect a packet station
Mode:   Packet/PBBS/KA-NODE

Kantronics TNC Defaults:
               All Units................Immediate command

This command will initiate an immediate disconnect request on the current
I/O stream.

A successful disconnect results in the display of ***DISCONNECTED.

If the RETRY count is exceeded while waiting for the connected station to
acknowledge, the TNC moves to the disconnected state on that stream.
Entering a second Disconnect command before RETRY has expired will result
in an immediate disconnect on your end, but may leave the othe station
thinking it is still connected to you.

Disconnect messages are not displayed when the TNC is in Transparent Mode.

Other commands may be entered while the disconnect is in progress.

D MYPBBS -   To cause personal mailbox to disconnect the user of the
             mailbox. Note, you type the word "MYPBBS" not the callsign
             specified in the MYPBBS command.

D MYNODE x - [x = KA-NODE circuit] (A, B, C, etc.)
             This causes the node to disconnect the station linked through
             the node on the circuit specified. MYNODE does not refer to
             the call entered in the mynode command. But is the actual
             characters to type.

See also: DBldisc, Newmode, RETry, Status
******************************************************************************
@DISplay      class     -       Display all TNC commands
Mode:   Packet

Kantronics TNC Defaults:
               All Units................Immediate command

Parameters:
     class - an optional paramter which may be:
             (A)sync    - display asynchronous port parameters
             (C)haracte - display special TNC characters
             (I)d       - display ID parameters
             (L)ink     - display link parameters (TNC to TNC)
             (M)onitor  - display monitor parameters
             (T)iming   - display timing parameters
             (X)t       - parameters of non-packet modes only (KAM).

Individual parameter values can be displayed by entering the command name
followed by <CR>.
******************************************************************************
@DWait        n         0       Delay to avoid digipeat collisions
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....0
               KAM/KPC-4................0/0

Parameters:
     n = 0 - 255 specifying default wait time in 10 ms intervals.

The TNC will wait the default time after last hearing a data packet on the
frequency before beginning the keyup sequence. This is used to avoid
collisions with digipeated packets because these aren't retried by the
digipeating station, but must be reinserted in the system by the
originating station.

Recommended settings for different types of operation:-
            Digipeaters          0   (  0 ms)
            Local keyboards     16   (160 ms)
            BBS, Hosts, etc     32   (320 ms)
            File Transfers      48   (480 ms)

There are two parameters in the paKet Configuration specifying the DWAIT
settings you want to use for binary File Transfers (48 recommended) and
for normal operation when the File Transfer is completed (16 recommended).

If you think your KAM "waits" too long, lower these settings as the
KAM has a BUILT IN DELAY that cannot be changed and DWAIT adds to this
delay. You will find that your KAM will still wait a while with DWAIT 0,
which is the default setting. A rather useless command in this TNC.

See also: PERSist, SLottime
******************************************************************************
@Echo         ON|OFF    ON      Echo all text (all modes) as you type
Mode:   All

Kantronics TNC Defaults:
               All Units................ON

Parameters:
      ON  - Characters received from paKet are echoed by the KAM.
      OFF - Characters are not echoed.

When using paKet you should set ECHO OFF.

paKet will display the characters you type in a different colour or
intensity to help you distinguish your transmissions from the data
received.

If you see two copies of everything you type, you should set ECHO OFF.

Local echoing is disabled in transparent mode.
******************************************************************************
@EQualize     ON|OFF    ON      Equalise Bell 202 tones
Modes:  Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....ON

Parameters:
      ON  -
      OFF -

When ON, the Bell 202 tones received at the TNC input from the transceiver
audio output circuits are equalised for improved performance of the
demodulator. Transceiver audio circuits vary in the amount of "roll-off"
of higher frequencies.

Test your station with the EQUALIZE ON and OFF to determine which setting
is best. Indication of the best setting is generally the one which results
in fewer retries when sending packets. This command has no effect on 2400
b/s operation.
*****************************************************************************
@EScape       ON|OFF    OFF     <ESC> may be sent as "$" or as <ESC>
Mode:   Packet

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
      ON  - The ESC ($1B) character is output as "$" ($24).
      OFF - The ESC character is output as unchanged.

This command specifies the character which will be output to the paKet
program when an escape character ($1B) is received in a packet.

When OFF, 1B is sent, this is useful if your terminal interprets ESC
characters as screen positioning commands (ANSI).

When ON, the escape character is sent as a dollar sign ($).

For paKet it doesn't seem to matter which way this is set.

******************************************************************************
@EXTmodem     ON|OFF    OFF     Used for optional external modem
Mode:   Packet

Kantronics TNC Defaults:
               KAM/KPC-4................OFF

Parameters:
      ON  - KM-2400 or MSK Modem is used on the VHF radio port. Port 2 for
            KPC-4.
      OFF - No external modem used.
******************************************************************************
@Fec          -         I-cmd   Initiate AMTOR Mode
Mode:   AMTOR

Kantronics TNC Defaults:
               KAM......................Immediate command

Parameters:
      Fec [xxxx[xxx]] characters (or 4, 5 or 9 digits)

This command sets the TNC in FEC mode.

When a selcall is specified, xxxx[xxx], the TNC will call the specified
station using SELFEC (Selective FEC).

See also: AMtor, AUTOStrt, CANline, Lamtor, PMode, TXDFec
******************************************************************************
@FIlter       ON|OFF    OFF     Filter control characters
Mode:   Packet/RTTY/ASCII

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
      ON  - Inhibit printing control characters (hex $00 - $19).
      OFF - Control characters are not filtered.

When ON, this command will inhibit the printing of control characters (hex
$00 - $19) which may be present in monitored packets. This will be useful
if you are monitoring channel traffic which includes binary transfers or
higher level protocols (networks talking to each other). Control characters
which may be embedded in those packets can have strange and unpredictable
effects on the monitoring TNC.

All control characters except carriage return ($0D) and line feed ($0A)
will be filtered.

This command DOES NOT affect receipt of control characters in packets
received from a "connected" station when MONITOR is OFF.

This command also inhibits the printing of control characters in the ASCII
Mode (KAM).

See also: Monitor
******************************************************************************
@Flow         ON|OFF    ON      Sets type in flow control
Mode:   All modes except Wefax

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....ON
               KAM/KPC-4................OFF

Parameters:
      ON  - Type-in flow control is active.
      OFF - Type-in flow control is disabled.

When Flow is ON, any character sent by paKet will halt output to the
computer unit until the current packet is completed (by SENDPAC, PACLEN or
PACTIME), cancelling the current input to the TNC or typing the
REDISPLAY-line character will also cause output to resume.

FLOW will keep received data from interfering with data entry.

When FLOW is OFF, received data will be "inter-leaved" with keyboard
entry.

For use with paKet, set FLOW OFF.

See also: CANline, CANPac, CPactime, Echo, Paclen, REDisplay, SEndpac,
          XMitecho
******************************************************************************
@FRack        n         4       Sets time interval between retries
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....4
               KAM/KPC-4................4/4

Parameters:
      n = 1 to 15 specifying the time (in seconds) the KAM will wait
          for an ACK before retrying that frame.

After transmitting a packet requiring acknowledgement, the TNC waits FRACK
seconds before incrementing the retry counter and sending the packet again.

If the retry count (specified by the RETRY command) is exceeded, the
current operation is aborted.

If the packet address includes relay requests, the time between retries is
adjusted to FRACK * ((2*m)+1) where m is the number of intermediate relay
stations specified. When the retried packet is sent, a random wait time is
also added to avoid lockups where two units repeatedly collide with each
other.

See also: Connect, RESPtime, RETry
******************************************************************************
@FSkinv       ON|OFF    OFF     Controls polarity of FSK output
Mode: RTTY/ASCII/AMTOR

Kantronics TNC Defaults:
               KAM......................OFF

Parameters:
      ON  - The polarity of MARK and SPACE is reversed.
      OFF - MARK is open-collector and SPACE is grounded.
******************************************************************************
@FUlldup      ON|OFF    OFF     Allows full duplex packet communication
Mode:   Packet

Kantronics TNC Defaults:
               All (Except KPC-1).......OFF

Parameters:
      ON  - Full Duplex mode is enabled
      OFF - Full Duplex mode is disabled

When OFF, the data carrier detect signal is used as a packet collision
avoidance signal.

When ON, the VHF modem is run full duplex, and carrier detect does not
inhibit transmission. The full duplex mode may be useful especially for
satellite operations using duplex radio setups.

Full duplex should not be used unless both you and the station you are
communicating with have full duplex capability.

KAM/KPC-4 - The FULLDUP command is valid only if one radio port is
            disabled by setting MAXUSERS to 0/n or n/0.
******************************************************************************
@Hbaud        n                 Sets operating baud rates
Mode:   Packet

Kantronics TNC Defaults:
               See Below

Parameters:
      n = 300, 400, 600 or 1200

This baud rate specifies the rate of data exchange between the RADIO
stations.

The value of HBAUD has no relationship to the terminal baud rate specified
with ABAUD.

In order to communicate with other packet stations, the baud rate must be
the same at each end of the link. As a general rule, 300 baud is used on
frequencies below 28 MHz, 1200 baud is used on frequencies above 28 MHz.

KPC-1/KPC-2   Default is 1200
              HF ON automatically adjusts baud rate.
KPC-2400      Default is 1200
              HF ON automatically adjusts baud rate and 2400 baud is also
              allowed with this TNC
KPC-4         Default is 1200/1200
KAM           Default is 300/1200
              (n = HF 50-300; VHF 300, 400, 600, 1200)

This command works slightly differently in the KAM than the other
dual-port type commands. The HBAUD values allowed on the HF port are 50 to
300 inclusive, and the VHF port will allow 300,400,600 and 1200 ONLY.
Entering the command HBAUD with a single parameter (HBAUD 300 for
instance) will only set the HF port speed. To set both ports, you must use
the form HBAUD /speedVHF.  1200 baud HF can be accomplished by connecting
the HF radio to the VHF port. FCC rules currently limit the baud rate to
300 when operating below 28MHz.


NOTE: IF YOU WISH TO USE GREATER THAN 1200 BAUD ON VHF THE KAM WILL ONLY
ENABLE USE OF THE 2400 BAUD OPTION FROM KANTRONICS. THE MODEM DISCONNECT
HEADER IS NON-STANDARD AND THUS YOU CANNOT USE THIS TNC FOR 9600 BAUD
OPERATIONS USING A G3RUH ADD ON MODEM FOR EXAMPLE.

This is rather disappointing and truely limits operation of the KAM. It is
hard to find this out when one wants to use greater then 2400 baud.

BEWARE!
******************************************************************************
@HEaderln     ON|OFF    OFF     Format for monitored packet headers
Mode:   Packet


Kantronics TNC Defaults:
               All Units................OFF

Parameters:
      ON  - The header is displayed on a separate line.
      OFF - The header and text appear on the same line.

This is for monitored packets.

When ON a carriage return is output to the terminal between the header
and text of monitored packets. This causes the packet header and time
stamp (if on) to be displayed on one line, with the packet text displayed
below it on the next line.

When monitoring only packets addressed to you (MONITOR and/or MCON OFF)
this parameter does not apply.

See also: CStamp, MCon, Monitor, MStamp
******************************************************************************
@HElp         -                 Lists all available TNC commands
Mode:   All modes

Parameters:
    None. Immediate command

Causes a listing of all possible TNC commands
******************************************************************************
@HF           ON|OFF    OFF     Changes operation HF/VHF
Mode:   Packet

Parameters: (KPC-2/KPC-2400)
     ON  - Switches to HF radio port.
     OFF - Switches to VHF radio port.

This command sets the TNC for operation on the High Frequency bands.

With this command ON the modem output baud rate (HBAUD) is set to 300. The
specific tones used are dependent of the current settings of the CCITT and
HFTONES commands. Analysis of the tone charts in thye CCITT command shows
that with HF ON a selection of four different tone pairs are available
based on the CCITT and HFTONES command settings. Selection of any
particular pair is not critical, though you may find that one will perform
better than another under some band conditions.

KPC-1     The specific tones used are dependent on the HFTONES command.

See also: CCITT, Hbaud, HFTones
******************************************************************************
@HFTones      ON|OFF    OFF     Used in conjunction with CCITT and HF
Mode:   Packet

Kantronics TNC Defaults:
               KPC-2/KPC-2400...........OFF

This command, when used in conjunction with the CCITT and HF commands,
selects the particular tone pair to be used. Analysis of the tone chart
in the CCITT command will give the combinations possible.

See also: CCITT, HF

KPC-1...This command when used in conjunction with the HF command selects
        the particular tone pair to be used.

    HF      HFTONE      TONE PAIR
    --      ------      ---------
    off     off         1200/2200 (Bell 202)
    off     on          1200/2200 (Bell 202)
    on      off         1070/1270 (Bell 103)
    on      on          2025/2225 (bell 103)

See also: HF
******************************************************************************
@HId          ON|OFF    ON      Send ID packets
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....ON
               KAM/KPC-4................ON/ON

Parameters:
     ON  - Enables identification by a digipeating TNC.
     OFF - Disables identification.

When ON, an ID packet will be sent every 9.5 minutes, provided that
packets are being digipeated through your station, or routed through
your KA-NODE, or into your PBBS.

This command should be ON if digipeating, and a KANODE or PBBS is enabled.

If OFF, periodic identification packets will not be sent.

Leave it on.

See also: DIGipeat, Id, NUMNODES, PBBS
******************************************************************************
@Id           -         I-cmd   Sends ID packet while in Packet Mode
Mode:   Packet

Kantronics TNC Defaults:
               All Units................Immediate command

Parameters:
      None

When this command is entered an identification packet will be forced.

This command can be used to insure that your station identification is the
last transmission before taking the station off the air.

The ID packet is unnumbered information <UI> packet whose data consists of
your station identification as set in MYCALL. The MYCALL will be appended
with "R/", MYALIAS callsign appended with "/D", MYGATE callsign appended
with "/G", MYNODE callsign appended with "/N", and MYPBBS callsign
appended with "/B" if these functions are enabled. This packet will be
addressed to "ID" and digipeated via any addresses specified in the
UNPROTO command.

These ID beacons are very handy to determine information about other KAM
users...particularly the names of other KANODEs.

See also: HId, Unproto
****************************************************************************
@INtface      -         I-cmd   Determines terminal operations
Mode:

Kantronics TNC Defaults:
               All Units................TERMINAL

Parameters:
      TERMINAL|BBS|HOST|KISS

When set to TERMINAL, the TNC will operate with a standard terminal or
computer running a terminal emulation program.

When set to BBS, the TNC deletes certain messages (i.e. ***connect
request, *** FRMR,etc) for greater compatibility with full-service BBS
programs such as W0RLI, WA7MBL, CBBS, etc. It seems this setting suits
paKet best too.

When set to HOST, the TNC will talk to the attached computer using the
Kantronics HOST mode (Packet ONLY).

When set to KISS, the KISS code as specified by Phil Karn is implemented
for communication to the attached computer.

After changing the setting of this command, a soft reset must be performed
for the new mode to take effect (see RESET).

It is recommended you set INTFACE BBS for use with paKet. You will also
notice that your KAM will show as a BBS on other heard lists, such as the
Paccomm Tiny 2 for example.

See also: PMode
******************************************************************************
@INvert       ON|OFF    OFF     Inverts RTTY/ASCII/AMTOR signals
Mode: RTTY/ASCII/AMTOR

Kantronics TNC Defaults:
               KAM......................OFF

Parameters:
      ON  - RTTY/ASCII/AMTOR signals will be inverted.
      OFF - RTTY/ASCII/AMTOR signals will be received normal.

Ctrl-C I command will toggle the inversion ON and OFF.
******************************************************************************
@K            -         I-cmd   Enter CONVERSE mode
Modes:      Packet


Kantronics TNC Defaults:
               All Units................Immediate command

This is an immediate command to enter the converse mode from command
mode.

Typing "K" is the same as typing the "CONVERS" command.


See also: CONVers
******************************************************************************
@KNtimer      n         15      Disconnect the KA-NODE
Mode:       KA-NODE

Kantronics TNC Defaults:
               All Units................15

Parameters:
      n = 0-255

If there is no activity (data) on a KA-NODE for n minutes, the KA-NODE
will disconnect both the input and output sides of the KA-NODE circuit.

Setting KNTIMER to 0 disables this feature.

See also: RNrtime
******************************************************************************
@KNXcon       ON|OFF    OFF     Enable cross connecting from radio ports.
default:off     KAM/KPC-4 version 5 only

When OFF, the KA-NODE will not allow the Xconnect command.
When ON, the Xconnect (cross connect) command is enabled, allowing users
to connect from one port of the KA-Node to the other.

This feature allows HF/VHF gateways and a popular frequencies to listen
out for are:  28.103 (to California), 21.101 (Japan) and 14.107 thereabouts.

If you have not tried a HF/VHF gateway, its great fun and your missing
out...listen on these frequencies and your NODE HEARD LIST will display
any other KA-Nodes that might offer a gateway.

See also: numnodes, mynode
******************************************************************************
@Lamtor                 I-cmd   Enter AMTOR Listen Mode
Mode:   AMTOR

Kantronics TNC Defaults:
               KAM......................Immediate command

This command sets the TNC in Listen AMTOR Mode.

The TNC will receive either FEC or ARQ signals. The selcal being used by a
station sending ARQ phasing signals may also be decoded when in this mode.
Such calls will appear on the display as the same four letter group
appearing repetitively on the display.

See also: AMtor, Fec, MIsschar
******************************************************************************
@LCok         ON|OFF    ON      Allow Lower case to be sent to paKet
Mode:   Packet

Kantronics TNC Defaults:
               All Units................ON

Parameters:
    ON  - The TNC will send characters to paKet as they are
          received.
    OFF - The TNC will translate all lower case characters to
          upper case.

This feature is provided for those users with a terminal which does
not handle lower case characters.

Some operators prefer to use all upper case for one side of the
conversation and lower case on the other side to more easily identify
on the screen who sent what. In paKet the outgoing and incoming text
is displayed in different colours or intensities, so it is
recommended you leave this option ON, and that lower case be used.

When ON, no character translation occurs in the TNC. If OFF, lower case
characters will be translated to upper case before being output to the
computer from the TNC. This case translation is disabled in Packet
Transparent Mode.
******************************************************************************
@LCRtty       ON|OFF    OFF     Determines character sending
Mode:   RTTY/ASCII/AMTOR

Kantronics TNC Defaults:
               KAM......................OFF

Parameters:
     ON  - Lower case letters can be sent and received.
     OFF - Upper case letters only sent.

When ON, lower case characters can be sent and received in RTTY, ASCII and
AMTOR Modes. If you are sending lower case RTTY, the other station will
print lower case RTTY only if its LCRTTY parameter is also ON. This is
accomplished by using the RTTY nul character as a special shift character;
this is the same method used in RTTY to send the Russian Cyrillis alphabet.
If USOS is ON, a received space will cause a shift to the lower case.

See also: USOs
******************************************************************************
@LCStream     ON|OFF    ON      Allow lower case after STREAMSW
Mode:   Packet

Kantronics TNC Defaults:
               All Units................ON

Parameters:
     ON  - The Kantronics Units translates the character immediately
           following the STREAMSW character to upper case.
     OFF - No translation is performed.

With paKet's multiple Communications windows, you would normally
select a new Stream by selecting the appropriate window. The program will
generate the required STREAMSW characters.

However, it is recommended you leave this option ON.

See also: Status, STReamsw
******************************************************************************
@LFadd        ON|OFF    OFF     <LF> after sending <CR> in ASCII/Packet
Mode:   Packet/RTTY/ASCII/AMTOR

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
     ON  - A <LF> character is added to <CR> on outgoing packets.
     OFF - No <LF> is added.

When ON, a linefeed character <LF> is added to the outgoing packets
following each return <CR> transmitted in the packet.

This function is similar to the AUTOLF, except that the linefeed
characters are added to the outgoing packets rather than to text display
locally. This feature will permit you to add linefeeds to outgoing packets
if the station you are linked to is receiving overprinted packets on his
display and has no local means to correct it. This character insertion is
disabled in the Transparent Mode.

Normally this would be OFF.

See also: AUTOLf
******************************************************************************
@LFSup        ON|OFF    OFF     Suppresses any line-feed characters
default: off    KPC-1/KPC-2/KPC-2400/KPC-4 version 5 only
mode: packet

When ON, this command suppresses any line-feed characters received from
the other station, relying on your terminal program to properly advance to
the next line. When OFF, the line-feeds received from the other station
are not suppressed but are sent to your terminal as received.

default: ON/OFF KAM version 5 only
mode: Packet/RTTY/ASCII/AMTOR

This command has a non-packet setting and a packet setting. The value
left of the / is for the non-packet modes, and the vaule to the right of
the / is for packet.

When ON, this command suppresses any line-feed characters received from
the other station, relying on your terminal program to properly advance to
the next line.

When OFF, the line feeds received from the other station are not supressed
but are sent to you terminal as received.

This is very usefel for RTTY,ASCII and AMTOR since the standard
end-of-line sequence transmitted is a <CR><CR><LF>. If you have LFSUP set
to ON and this <CR><CR><LF> is received, the KAM would send only the
<CR><CR> to the terminal. If you also have the CRSUP command ON, receiving
a <CR><CR><LF> would simply send a <CR> to the terminal, stripping both
the extra Carriage Return and the line feed.

See Also: autolf,crsup
******************************************************************************
@LList        ON|OFF    OFF     Enables/Disables SUPCALLS list
Mode:   Packet

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
     ON  - Stations in the SUPCALLS list attempting to connect to or
           digipeat through your station will be ignored.
     OFF - Allows stations in the SUPCALLS list to connect or digipeat
           through your station.

See also: SUPCalls
******************************************************************************
@LOwtones     ON|OFF    OFF     Determines RTTY low tones
Mode:   RTTY

Kantronics TNC Defaults:
               KAM......................OFF

Parameters:
     ON  - Use European low-tones with 170, 425 or 850 shift RTTY.
     OFF - Use standard tones

When ON, the European low-tones are used with 170, 425 or 850 shift RTTY.
These are: Space=1275Hz, Mark=1445Hz, 1700Hz, or 2125Hz.
******************************************************************************
@MAll         ON|OFF    ON      Class of packets to be monitored
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....ON
               KAM/KPC-4................ON/ON

Parameters:
     ON  - Monitor both "connected" and "unconnected" packets.
     OFF - Monitor only "unconnected" packets.

When ON, all packets are monitored.

If OFF other stations connected packets will not be monitored. This is a
useful arrangement when stations are talking as a group in a unconnected
configuration.

MALL ON is the normal default setting and is useful for "reading the
mail".

See also Monitor
******************************************************************************
@MARk         n         1600    Determines Mark frequency
Mode:   All Modes Except CW

Kantronics TNC Defaults:
               KAM......................1600

Parameters:
     n = 50-4000

This command sets the mark frequency when the SHIFT command is set to
modem, or in the packet mode. It also controls the bargraph mark
frequency indication.

See also: SHift
******************************************************************************
@MAXframe     n         4       Maximum number of outstanding packets
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....4
               KAM......................1/4
               KPC-4....................4/4

Parameters:
    n - 1 to 7. This specifies the maximum number of packets that may
                be outstanding (unacknowledged) at any one time.

MAXFRAME also specifies the maximum number of contiguous packets which
can be sent during a transmission ( IF YOUR TNC HAS ENOUGH FREE MEMORY
AVAILABLE TO COPE WITH THIS. IF YOU INCREASE THIS SETTING AND HAVE LESS
THAN 1000 BYTES AVAILABLE FREE MEMORY YOU WILL HAVE TO REDUCE THE SIZE OF
YOUR PBBS OR NUMNODES TO ALLOCATE MORE FREE MEMORY TO TAKE FULL ADVANTAGE
OF THIS) If not enough free memory is available, weird things CAN happen.

If throughput is low because of heavy traffic or poor propagation,
reduce MAXFRAME to 2 or 3.

If you are using HF, reduce MAXFRAME to 1.

A relationship between this and PACLEN can improve the efficiency of
file transfers, allowing long bursts on a good link.

See also: Paclen
******************************************************************************
@MAXUSERS     n         4       Maximum number of simultaneous connections
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....10
               KAM/KPC-4................10/10

Parameters:
    n - 1 to 26

This command causes the TNC to allocate the memory required for the
maximum number of simultaneous connections you wish to allow.

Each connection uses a different stream. In order to direct what you want
to say to a different stream you use the STREAMSW character (paKet does
this for you when you change windows). All streams may be used for
outgoing packets, but USERS sets the number that may be used for incoming
connections.

You should set MAXUSERS to correspond with the number of Communications
Windows you have configured in paKet. It uses one window for each
connection or Stream so if both the program and the TNC have the same
number of users set, there is less likely to be any confusion.

Changing the value of MAXUSERS will cause the TNC to perform a "soft
reset". In order to change the current value of MAXUSERS, you must spell
out the entire command word. Note that you may not change the value of
MAXUSERS while you are connected, since this would reset the TNC and cause
all existing connections to be lost.


KAM/KPC-4: Will allow a setting of 0/0. These TNCs will accept only one
connect at a time from either port of the TNC. This special condition
will be highlighted by being displayed simply as MAXUSERS 0. This
makes it feasible to use the KAM/KPC-4 with MBL or RLI BBS programmes
on two frequencies. Setting MAXUSERS to 0/n or n/0 will disabe the port
designated for 0 and also will permit the TNC to enter the KISS mode on
the non-zero port.

If you operate ONLY on VHF and wish to turn the HF port off on your KAM,
type MAXUSERS 0/n . The HF tuning LED will go to the MARK position. This
means the HF port is disabled and more free available memory is allocated
in the TNC.

See also: Status, STReamsw, USers
******************************************************************************
@MBeacon      ON|OFF    ON      Monitor Beacon and ID packets
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....ON
               KAM/KPC-4................ON/ON

Parameters:
      ON  - Packets addressed to Beacon or ID will be monitored.
      OFF - Beacon or ID packets will not be monitored.

See also: Beacon, Id, Monitor
******************************************************************************
@MCOM         ON|OFF    OFF     Monitor (dis)connected packets
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....OFF
               KAM/KPC-4................OFF/OFF

Parameters:
     ON  - Connect, Disconnect, UA and DM frames are monitored.
     OFF - Only information frames are monitored.

When ON, monitored packets include the following AX.25 control packets if
MONITOR is ON. If connected, MCON must also be ON.

The "<" and "<<" characters are used to bracket and denote packets
received as version 1 or version 2, respectively. The bracketed
information will appear at the end of the header information.

<C>   Connect request                <D>  Disconnect request
<DM>  Disconnected Mode              <UA> Unnumbered acknowledge

In addition, the following bracketed information will be added to the
Information packets as appropriate.

<UI>  Unconnected Information frame  <Is> Information frame (connected);s=
                                          send sequence number.

See also: AX25l2v2, Monitor, Mresp
******************************************************************************
@MCon         ON|OFF    OFF     Monitor other packets while connected
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....OFF
               KAM/KPC-4................OFF/OFF

Parameters:
     ON  - Monitor mode remains active when TNC is connected.
     OFF - Monitor mode is disabled while connected.


When ON, all eligible packets will be monitored whether connected or
unconnected.

When OFF, and not connected, all eligible packets will be monitored.

When OFF, and connected, you will monitor only those packets addressed to
you.

Any header information displayed will be determined by the settings of
STREAMEV and STREAMCA.

See also: Monitor, STREAMCa, STREAMEv
******************************************************************************
@MHClear      -         I-cmd   Clear MHEARD list
Mode:   Packet

Kantronics TNC Defaults:
               All Units................Immediate command

MHCLEAR is an immediate command to clear the MHEARD list.

With this command, you could keep track of monitor channel activity over a
specific period of time, by clearing the list at the start of the period.

See also: MHeard
******************************************************************************
@MHeard       -         I-cmd   List of packet stations monitored
Mode:   Packet

Kantronics TNC Defaults:
               All Units................Immediate command

Parameters:
     [S] - Only the callsigns of the stations heard will be displayed.
     [L] - All callsigns, as well as digipeater paths are displayed.

This is an immediate command to display the list of calls heard since last
time the buffer was cleared (MHCLEAR or RESTART commands, or power-off).

You can either enter this command at the cmd: prompt or you can
select <Alt-H> in paKet to generate a MHEARD command for you.

Stations heard via a digipeater are marked with an asterisk (*).

If date and time are set, entries will be time stamped.

See also: DAytime, MHClear
******************************************************************************
@MIsschar     n         $20     Determines invalid or unrecognised char.
Mode:   AMTOR

Kantronics TNC Defaults:
               KAM......................$20

Parameters:
     'n' = $00 to $FF

This defines the character to be displayed on the screen when operating
AMTOR Mode B and the received character is invalid or unrecognised.

See also: AMtor, Lamtor
******************************************************************************
@MODemena     ON|OFF    OFF     Places TNC in Dumb Modem Mode

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....OFF

This command places the TNC in Dumb Modem Mode.

See the Dumb Modem Mode section of the Installation Manual for details.
******************************************************************************
@Monitor      ON|OFF    ON      Monitor other stations' packets
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....ON
               KAM/KPC-4................ON/ON


Parameters:
     ON  - Monitoring of packet activity is enabled.
     OFF - Monitoring of packet activity is disabled.

When ON, unconnected packets will be monitored unless prohibited by
SUPLIST, BUDLIST, CONLIST, or LLIST. This will also allow monitoring of
other packets if permitted by other monitor commands.

The MONITOR command acts as a master switch for the MALL, MCOM, MCON,
MRESP, and MRPT commands.

The addresses in the packets are displayed along with the data portion of
the packet. Callsigns (to and from fields) are separated by a ">" and the
callsign extension field (SSID) is displayed if it is other than 0.

All monitor functions are disabled in the Transparent Mode.


When OFF, you will monitor only those stations connected to you, no matter
how other monitor commands are set. Any header information displayed will
be determined by the settings of STREAMCA and STREAMEV.

See also: BUdlist, CONList, HEaderln, MAll, MBeacon, MCOM, MCon, MResp,
          MRPt, MStamp, STREAMCa, STREAMEv, SUplist
******************************************************************************
@MORse        code TX/RX        Define code characters
Mode:   CW

This command is used to define the desired keyboard character, and display
character(s) for each code listed in the Commands Manual. Only those
codes listed may be defined using the MORSE command; standard morse codes
may not be redefined.

For example, suppose you wish to define that the "wait" code *-*** by the
keystroke "^" and have it displayed as "BB". You would enter:

    MORSE *-*** $5E $4242 <CR>

The "*-***" (di'dah di'di'dit) is the accepted code for "wait".
$5E is the hex code for the "^" character we will use to Transmit the "wait".
$42 is the hex code for "B", so $4242 is "BB".

If you try to define a previously defined code, you will get the message
"TX CHARACTER ALREADY DEFINED". In order to delete an entry use the
command
   MORSE "code" 00 0000
to clear the code and then redefine it.

Standard codes may not be redefined. Refer to the ASCII chart at the end
of Command Manual for a listing of hex codes. Codes available for
definition by MORSE are:

MORSE
=====
CODE     TX       RX                   CODE     TX       RX

**--     $00      $00                  *-*-     $2A(*)   $4141(AA)
---*     $00      $00                  ----     $00      $00
***-*    $21(!)   $534E(SN)            **-**    $00      $00
**-*-    $00      $00                  **--*    $00      $00
*-***    $25(%)   $4153(AS)            *-**-    $00      $00
*-*-*    $2B(+)   $4152(AR)            *-*--    $00      $00
*--**    $00      $00                  *--*-    $00      $00
*---*    $00      $00                  -**-*    $2F(/)   $2F(/)
-**--    $00      $00                  -*-**    $00      $00
-*-*-    $26(&)   $4B41(KA)            -*--*    $28(()   $28(()
-*---    $00      $00                  --**-    $00      $00
--*-*    $00      $00                  --*--    $00      $00
---*-    $00      $00                  ***-*-   $23(#)   $534B(SK)
*-***-   $00      $00

If SCREENL is set to a value of 1 to 60, the above table will be
displayed in one column instead of two columns.

See also: CW, PRosign
******************************************************************************
@MResp        ON|OFF    OFF     Monitor additional Response packets
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....OFF
               KAM/KPC-4................OFF/OFF

Parameters:
     ON  - Monitored packets include AX.25 response packets.
     OFF - Bracketed "<>" information not monitored.

When ON, monitored packets include the following AX.25 response packets,
if MONITOR and MCOM are ON. If connected, MCON must also be on.

The bracketed information will appear at the end of the header
information. The "<" and "<<" characters are used to bracket and denote
packets received as version 1 or version 2 respectively.  For example,
"<<RR1>>" denotes a version 2 packet.

In addition upper case characters are used to designate commands (polls)
and lower case characters are used to denote responses for RR, REJ, and
RNR. For example, <<rr1>> is a response in version 2.

   <FRMR>  Frame Reject
   <REJr>  Reject, r=received sequence number
   <RNRr> Device busy, r=received sequence number
   <RRr> Receive Ready, r=received sequence number

See also: AX25l2v2, MCOM, Monitor
******************************************************************************
@MRpt         ON|OFF    ON      Show digipeaters in monitored packets
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....ON
               KAM/KPC-4................ON/ON

Parameters:
     ON  - Shows connected station identifiers and digipeating path.
     OFF - Shows only originator and destination calls.

This command affects the way monitored packets are displayed.

If ON, the entire digipeat list is displayed for monitored packets, and
the station that relayed the packet is indicated with an asterisk (*). The
MONITOR command must be ON for this command to work, and if connected MCON
must also be ON.

If OFF, only the originating station and the destination station callsigns
are displayed for monitoring packets.

See also: Monitor
******************************************************************************
@MStamp       ON|OFF    OFF     Enables time stamping of monitored packets
Mode:   Packet

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
      ON  - Time stamp on monitored frames.
      OFF - No time stamp on monitored frames.

This command enable time stamping of monitored packets.

The date and time information is then available for use for automatic
logging of packet activity or other computer applications. The date and
time are set initially by the DAYTIME command, and the date format is
determined by the DAYUSA command.

The MONITOR command must be ON for this command to work, and if connected
MCON must also be ON.

See also: CStamp, DAytime, Monitor
******************************************************************************
@MYAlias      call-n    MYCALL  Specifies alternate digipeater callsign
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....MYCALL
               KAM/KPC-4................MYCALL/MYCALL

Parameters:
      call - This is an alternate call sign for use as a digipeater only.

This command allows the entry of an alternative identifier to be used for
packet digipeat operations.

For example: you may enter TONY-3 as the MYALIAS. Enter up to six
characters, using a callsign (plus SSID) which is different than that
used for MYCALL, MYNODE, MYPBBS, or MYGATE.

See also: MYALias, HId
******************************************************************************
@MYAUtost     xxxxxxx   MYCALL  Specifies callsign for autostart RTTY/ASCII
Mode:   RTTY/ASCII

Kantronics TNC Defaults:
               KAM......................MYCALL

Parameters:
      xxxxxxx - Callsign up to seven (7) characters long, allowing for MARS
                callsigns.

This command specifies the callsign for automatically starting receive
operation in RTTY and ASCII when the AUTOSTRT command is ON.

See also: AUTOStrt
******************************************************************************
@MYcall       call-n    none    Sets your legal operating callsign
Mode:   Packet

Kantronics TNC Defaults:
               All Units................nocall

Parameters:
      call - Your call sign. You may also use a substation ID (SSID)
             (0-15) if you wish.

Example:
      MYCALL VK2DHU       This tells the TNC my call sign.

When the TNC is first turned on out of the box, or after a hard reset, it
asks you for your callsign - there is NO DEFAULT.  The callsign you enter
is placed in this parameter.

The extension 'n' is called a Substation ID (SSID) and is defaulted as 0,
but may be any number 0 to 15.

All packets originated by the TNC will contain this callsign in the FROM
address field. Any packets received by the TNC with this callsign in the
TO address field or digipeat field will be responded to appropriately
(connect, disconnect, ack, digipeat, etc).

See also: DIGipeat, Id, MYAlias, MYGate, MYNode, MYPbbs
******************************************************************************
@MYGate       call-n    MYCALL-3  Sets gateway callsign
Mode:   Packet

Kantronics TNC Defaults:
               KAM/KPC-4................MYCALL-3

Parameters:
      call - Your callsign (up to six characters plus an SSID) which is
             different than that used for MYCALL, MYALIAS, MYPBBS, or
             MYNODE.

This command tells the TNC what its gateway callsign is.

Another user may digipeat from one radio port to the other if MYGATE is
specified in the packet digipeat field and KNXcon is ON.
You may also disable the gateway digipeating with the command MYGATE %

If you are having trouble gatewaying, use the KANODE instead as it offers
much better link control on both ports...

See also: KNXcon, HId
******************************************************************************
@MYGROUP                          Amtor Group string
default (based on MYCALL)
mode: KAM version 5 AMTOR

syntax: cccc | nnnn | nnnnn | ccccccc | nnnnnnnnn | callsign

This command is used to set a selcal that can be used for reception of
SELFEC transmisions. This allows several stations to use the same group
selcal, and still maintain their own individual selcal. You may set the
4-character group selcal using 4 characters, 4 numbers, or 5 numbers. To
set the 7-character (CCIR 625) goupr selcal, enter 7 characters, 9 numbers
or an amateur callsign.

See also: autostrt;AMTOR section of Operations Manual
******************************************************************************
@MYNode       call-n    MYCALL-7  Sets KA-NODE callsign
Mode:   KA-NODE

Kantronics TNC Defaults:
               All Units................MYCALL-7

Parameters:
      call - Your callsign (up to six characters plus an SSID) which is
             different than that used for MYCALL, MYALIAS, MYPBBS,
             MYGATE or MYREMOTE.

This commands tells the TNC what callsign is to be used when a remote
station is connecting to the KA-NODE.

See also: DIGipeat,NDWild, NUMNODES
******************************************************************************
@MYPbbs       call-n    MYCALL-1  Sets Personal Packet Mailbox callsign
Mode:   PBBS

Kantronics TNC Defaults:
               All Units................MYCALL-1

Parameters:
      call - Your callsign (up to six characters plus an SSID) whic is
             different than that used for MYCALL, MYALIAS, MYNODE, or
             MYGATE.

Enter up to six characters which will be used as the operating address
for your Personal Packet MAilbox.

Check the "standard" in your operating area. Sometimes the mycall-1 is the
gentlemen's agreement for the local BBS and mycall-2 is the standard for
PBBS callsigns. This is just a local area thing that varies from place to
place.

See also: PBBS
******************************************************************************
@MYRemote                       Sets Callsign for remote access to cmd mode
default:(blank)         ALL UNITS version 5 only
mode: packet.

This command sets the callsign used for remote access to the command set
of the TNC. Enter up to six characters (plus optional SSID) which are
different than those used for MYCALL, MYALIAS, MYNODE, MYPBBS or MYGATE.
In addition, the RTEXT must be programmed with a text string. A station
that connects will be sent a series of numbers that must be decoded
according to RTEXT.


A common setting of the remote is MYCALL-9. The TNC will only recognise a
connect to MYCALL-9 from MYCALL (or any ssid thereof) for security
reasons. It is recommended that you work out how to use the remote of your
TNC as it is VERRY handy to be able to connect to your TNC remotely and
change ANY of the command settings. Trust me, in some situations it saves
long drives to remote places!!

See also: rtext;Remote Access section of Operations Manual
******************************************************************************
@MYSelcal               I-cmd   Sets recognised Selcall for AMTOR
default (based on MYCALL)
mode:KAM 5 AMTOR only
syntax: cccc | nnnn | nnnnn | ccccccc | nnnnnnnnn | callsign

The selcal specified by this command will be recognised, when operating in
AMTOR Mode A, as your station identification. The convention used for
AMTOR selcals is to use the first letter and the last three letters of
your callsign as your 4-character selcal.

If your callsign has only three letters, use the first letter twice. For
example, use WWXI for W0XI or use KZTX for KA5ZTX. The MYSELCAL will also
accept 4 or 5 digit numbers, and generate the corresponding 4-character
selcal automatically from these numbers.

If you enter 7 characters, 9 numbers, or an amateur radio callsign, this
command will use this as your 7-character selcal for the CCIR 625 form of
AMTOR operation. The KAM uses a Kantronics developed algorithm to generate
a unique 7-character selcal for every amateur callsign, and we therefore
recommend using your callsign to set this parameter. If you choose to
enter your own seven characters, you must remember that the CCIR 625
recommendation does not allow the use of the letters G,H,J,L,N or W.

See also: amtor,fec;AMTOR section of Operations Manual.
******************************************************************************
@NAVClr                 I-cmd   Clear list of NAVTEX messages heard
Mode:   NAVTEX/AMTEX

Kantronics TNC Defaults:
               KAM......................Immediate command

This command will clear the list of messages which have been received in
the NAVTEX/AMTEX mode. Any message which has previously been received
will be eligible to be received again.

See also: Navtex
******************************************************************************
@NAVErr       n         5       Specifies max. percent of errors allowed
Mode:   NAVTEX/AMTEX

Kantronics TNC Defaults:
               KAM......................5

Parameters:
      n = 0 to 10

The NAVERR command specifies the maximum percent of errors allowed in a
NAVTEX/AMTEX message before the message is considered to be invalid.

If the message is received with less tha n% errors, that same message
number will not be sent to the computer if received a second time.

If the received message contains excessive errors, the error message
"***TOO MANY ERRORS XXXX" will be sent to the computer (XXXX represents
the NAVTEX/AMTEX message identification). This error message indicates
that the NAVTEX/AMTEX message will be printed again when received.


## If you don't use the mode, set NAVERR 0 to conserve TNC memory ##


See also: Navtex
******************************************************************************
@NAVMsg       c[cccc..] ALL     Specifies classses of NAVTEX messages
Mode:   NAVTEX/AMTEX

Kantronics TNC Defaults:
               KAM......................ALL

Parameters:
      ALL  - Sets the NAVMSG to copy all classes of messages.
      NONE - Excludes all classes of messages.

The NAVMSG command specifies which classes of NAVTEX messages will be
sent to the computer.

Three classes (A, B, and D) must always be sent according to the
specification, but may be eliminated by the user. If any of these required
message classes are not selected, the KAM will issue a warning message.
(See the NAVTEX section of the Operations Manual for more details).

## If you don't use this mode, set NAVMSG NONE to conserve TNC memory ##

See also: NAVSta, Navtex
******************************************************************************
@NAVSta       c[cccc..] ALL     Which originating station will be copied
Mode:   NAVTEX/AMTEX

Kantronics TNC Defaults:
               KAM......................ALL

Parameters:
      ALL  - Copy all NAVTEX stations.
      NONE - Disables copying of any NAVTEX station.

The NAVSTA command specifies which originating stations will be copied
in the NAVTEX mode.

Each transmitting station uses a unique identifier, allowing you to select
only those stations of interest in your area.

Specifying NONE will disable copying of any NAVTEX station, thus
effectively disabling the NAVTEX mode, and will also cause a soft reset.
This will free up about 725 bytes of memory normally required for NAVTEX
operation.

## If you don't use this mode, set NAVSTA NONE to conserve TNC memory ##

(See the NAVTEX section of the Operations Manual for more details).
See also: NAVMsg, Navtex
******************************************************************************
@Navtex       -         I-cmd   Enter NAVTEX Mode
Mode:   NAVTEX/AMTEX

Kantronics TNC Defaults:
               KAM......................Immediate command

Parameters:
      None - Immediate command.

This is an immediate command that will place your KAM into the NAVTEX mode
of operation. This will also allow you to copy AMTEX messages (refer to
the 8th Computer Networking Conference papers for details).

## If you live in an area that does not have NAVTEX/AMTEX facility, you
can disable this mode to conserve valuable TNC memory!!

    To do this, set: NAVERR 0, NAVMSG NONE, NAVSTA NONE.

# NOTE: This will cause the TNC to perform a soft reset (that's fine!) #

See the NAVTEX section of the Operations Manual for more information.
See also: NAVClr, NAVErr, NAVMsg, NAVSta, PMode
******************************************************************************
@NDHClear     -         I-cmd   Clear list of Nodes Heard
Mode:   Packet

Kantronics TNC Defaults:
               All Units................Immediate command

Parameters:
      None - Immediate command.

This command will clear the list of nodes heard by the TNC.

See also: NDHeard
******************************************************************************
@NDHeard      [S|L]     I-cmd   Display list of nodes heard by TNC
Mode:   Packet

Kantronics TNC Defaults:
               All Units................Immediate command

Parameters:
      None - Immediate command.

This command allows the operator to display a list of nodes whose ID
packet has been heard by the TNC. The list includes KA-NODEs as well as
TheNet and NET/ROM nodes. TheNet and NET/ROM nodes are identified as:
    ALIAS (CALLSIGN)

and Kantronics KA-NODES will be identified as:
    MYNODE (MYCALL)

An asterisk, *, indicates that the station was heard through a digipeater.
The date/time the station was last heard is also displayed.

If the S option is used, i.e. NDHEARD S, then only the callsigns of the
stations heard will be displayed.

If the L option is selected, all callsigns contained in the received
packet are displayed. (See MHEARD for display).

See also: MYNode, NDHClear
******************************************************************************
@NDWild       ON|OFF    OFF     Allow any SSID for KA-NODE connects
Mode:   KA-NODE

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
      ON  - Connect requests to any SSID of the MYNODE call will be
            recognised as connects to the KA-NODE, if that SSID is not
            being used for any other ID in the TNC.
      OFF - The KA-NODE will only recognise connect requests directed
            to the MYNODE call.


## It is suggested that you set this to ON, as the ssid of your callsign
changes down one (from mycall-15 to mycall-14 etc) each time you go
through another kaNODE. ##


See also: MYAlias, MYcall, MYGate, MYNode, MYPbbs
******************************************************************************
@Newmode      ON|OFF    ON      Changes TNC mode
Mode:   Packet

Kantronics TNC Defaults:
               All Units................ON

Parameters:
      ON  - The TNC will return to Command Mode if the station on the
            currrent I/O stream disconnects. The TNC will not return to
            Command Mode if the station disconnecting is on a different
            stream.
      OFF - A disconnect will not cause the TNC to change modes.

Make sure you set the paKet configuration (Alt-Z, Multi User Option,
Newmode setting) to correspond to this setting in the TNC.

See also: Connect, Disconnect, Status
******************************************************************************
@NOmode       ON|OFF    OFF     Automatically change to Command Mode
Mode:   Packet

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
      ON  - The TNC stays in Command Mode after connecting to another
            station; that is; it does not immediately change to Convers
            or Transparent Mode.
      OFF - When a connection takes place, the TNC will change to
            whatever mode is specified in CONMODE.

See also: CONMode, Connect
******************************************************************************
@NText        message   blank   Specifies text to be sent from KA-NODE
Mode:   KA-NODE

Kantronics TNC Defaults:
               All Units................blank

Parameters:
      message - Up to 128 characters.

This entry specifies customised text to be sent with the initial KA-NODE
sign-on message (when KA-NODE is connected to by a remote station).

Enter any combination of characters and spaces up to a maximum of 128.
Entering a single "%" will clear NTEXT.

See also: MYNode, NUMNODES
******************************************************************************
@NUer         n         0       Determines number of nulls sent to terminal
Mode:   All Modes

Kantronics TNC Defaults:
               All Units................0

Parameters:
      n = 0 to 31

This command determines the number of nulls sent to the computer after a
<CR>, in order to enable a transmission delay following any <CR> sent to
the terminal.

This is useful for some hardcopy terminals, but not required for paKet.

******************************************************************************
@NULf         n         0       Send <NULL>s after <LF>
Mode:   All Modes

Kantronics TNC Defaults:
               All Units................0

Parameters:
      n = 0 to 31

This command determines the number of nulls sent to the terminal after a
<LF>, in order to enable a transmission delay following any <LF> sent to
the terminal.

This is useful for some hardcopy terminals, butnot required for paKet.

******************************************************************************
@NUMNODES     n         0       Sets number of allowable circuits
Mode:   KA-NODE

Kantronics TNC Defaults:
               All Units................0

Parameters:
      n = (Maximum depends on RAM)

This command is used to set the number of allowable circuits through the
KA-NODE.

For example, if you wish to allow up to 6 simultaneous circuits through
the node, set NUMNODES 6. The number allowed will depend on the amount of
RAM available in your TNC. If you select n larger than the available RAM
will allow, an "out of range" message will be retuirned to you. Generally,
set the amount of RAM required first for your PBBS (personal bulletin
board) and then set the desired number of circuits. Approximately 4K of
RAM is used for each circuit. This command will cause a soft reset.

See also: MYNode
******************************************************************************
@Oneradio     ON|OFF    OFF     For use with external modem
Mode:   Packet

Kantronics TNC Defaults:
               KPC-4....................OFF

This command can be used only with certain Kantronics' external modems
installed in radio Port 2. Depending upon the modem, it may be possible
to connect both radio ports in parallel to one radio.

The KPC-4 then could determine whether an incoming packet was normal (1200
baud FSK) or special (such as 2400 baud QPSK) and react accordingly. See
the documentation that comes with the external modem for more details.

If the external modem cannot support the ONERADIO command, it is ignored.
******************************************************************************
@Paclen       n         128     Maximum packet data length
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....128
               KAM/KPC-4................128/128

Parameters:
     'n' - 0 to 255 specifies the maximum size of the data portion of a
           packet.
           0 is equivalent to a maximum packet size of 256.

In normal CONVERSE mode, a packet will be sent when you press <CR>.
If you have set Single Line Mode in the Type Ahead window (via the <F4>
key) paKet will generate a <CR> at the end of each full line and cause the
TNC to send a packet at the end of that line.

However a packet is automatically sent by the TNC when PACLEN characters
have been received from the paKet program, so the maximum size of any
packet is determined by PACLEN. If you wish, you could set PACLEN to (say)
20, and the KAM would transmit a packet after 20 characters are received
from the program.  This might be appropriate for an HF link in poor
conditions because there would be greater chance of getting the full
packet through without error if it is a smaller packet.

For good links, a larger packet size is better. For Binary File transfers,
paKet will adjust PACLEN automatically.

For normal operations a PACLEN of 240 is suggested, and for Binary
Transfer operations a PACLEN of 252 is suggested. The CPACTIME feature
should be ON.

See also: MAXframe, PACTime, CPactime
******************************************************************************
@PACtime      E|An      10      Time for automatic transmission of packets
Mode:   Packet

Kantronics TNC Defaults:
               All Units................After 10

Parameters:
      'n'   - 0 to 250 specifies 100ms intervals
      Every - Packets are sent EVERY n * 100 ms.
      After - Packets are sent AFTER n * 100 ms from last entry at keyboard.

Example:
      PACT A 25       Send a packet 2.5 seconds after the last character
                      was received from paKet.
      PACT E 50       Send a packet every 5 seconds even if data is still
                      being received from paKet.

This parameter is always used in Transparent mode, and will be used in
Converse mode if CPACTIME is ON.

When After is specified, bytes are packaged when input from the terminal
stops for n * 100 ms.

When Every is specified, input bytes are packaged an queued for
transmission every n * 100 ms.

A zero length packet is never produced, and the timer is not started until
a new byte is entered.

If Every or After is not given, the current state is retained.

See also: CPactime, Parity
******************************************************************************
@Parity       n         4       Set Parity for TNC Serial Port
Mode:   All Modes

Kantronics TNC Defaults:
               All Units................4

This command sets the Parity mode for output to the terminal according to
the following table:-

     n =  0 odd
          1 even
          2 mark
          3 space
          4 none (no modification)

The TNC can only send serial output with 8 data bits and one stop bit.
Setting the PARITY parameter defines the eighth bit.

In Command Mode the eighth bit is automatically stripped;

in Convers Mode and ASCII Mode stripping of the eighth bit is determined
by 8BITCONV;

in Transparent Mode the eighth bit is sent out as received.

This command corresponds to the setting of parity in paKet's Configuration
and NO Parity is the preferred setting.

See also: 8bitconv
******************************************************************************
@PASs         n         $16     Character for <PASS> editing character
Mode:   Packet

Kantronics TNC Defaults:
               All Units................$16 (Ctrl-V)

Parameters:
    n - $00 to $FF specifies an ASCII code to be used as the PASS
        character. ($16 = ^V)

This command selects the ASCII character used for the <PASS> editing
command.

You may use this character to send any character in packet Convers Mode,
even though the character may have a special function.

For example, if you wish to send a COMMAND character <Ctrl-C> as part of
the packet, you can do so by preceding it with the <PASS> character. The
character will be sent rather than returning the TNC to Command Mode.

In Transparent Mode all characters are passed, there are no special
functions except the one combination to get out of transparent.

Example:
      CTEXT I am here somewhere^V<CR>
            Give me a minute or two.<CR>

      If you didn't use the PASS (^V) the first <CR> would have been
      interpreted by the TNC as the end of the CTEXT message. With the
      PASS character, the TNC simply added the <CR> into the CTEXT
      message.
******************************************************************************
@PASSAll      ON|OFF    OFF     Display packets with invalid CRC
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....OFF
               KAM/KPC-4................OFF/OFF

Parameters:
      ON  - The TNC will accept packets with invalid CRC's.
      OFF - The TNC will only accept packets with valid CRC's.

When OFF, packets will only be displayed if the CRC (error checking) is
correct, and according to monitor commands.

When this command is ON, the TNC will accept packets, regardless of
whether or not the CRC is correct. The TNC will attempt to decode the
address field as well as the data field and display the packets as
specified by other commands such as MONITOR. The entire packet, determined
by the beginning and ending flags, must be received before an attempt is
made to decode. If both flags are not received the data will not be
decoded.

MHEARD and NDHEARD logging are disabled when PASSALL is ON.
******************************************************************************
@PBBS         n         0       Activates Personal Mailbox
Mode:   PBBS

Kantronics TNC Defaults:
               All Units................0

Parameters:
      n - (Maximum depends on RAM)

Setting n greater than 0 allocates memory and activates the Personal
Mailbox in the TNC.

The amount of memory allocated will be n kilobytes, and may be limited by
other functions requiring dynamic memory (i.e. NUMNODES, MAXUSERS, and
also in the KAM NAVSTA).

Changing the size of the PBBS memory allocation will not affect the
contents of the mailbox (messages will be preserved) so long as sufficient
memory remains allocated to store the existing messages.

Using the PBBS n command with n equal to the current size will renumber
the messages in the mailbox beginning with message number 1. If n is a
different size, the messsages will not be renumbered. This command causes
a soft reset if n is different from its previous value.

Turning off the TNC will destroy all messages in the mailbox, unless you
are using the optional Battery Backup or SmartWatch.

See also: CMSg, MYPbbs, MAXUSERS, NAVSta, NUMNODES
******************************************************************************
@PBHeader     ON|OFF    ON      Stores routing headers from BBS messages
default: ON   ALL UNITS version 5 PBBS

When ON the routing headers received from a full service BBS will be
stored in the PBBS mailbox.

When OFF, these headers are not stored in the mailbox, allowing messgages
to require considerably less space. The routing headers are those lines
you normally see in messages beginning with R: . Note that the PBBS will
ignore all lines beginning with R: until it sees that first line that does
not have R: in column one. From that point on, all of the message will be
stored, even if a line begines with an R: .

See also: PBBS section of Operations Manual.
******************************************************************************
@PBLo                           Order of messages in PBBS according to age
default OLD FIXED       All Units version 5 PBBS

Parameters:   [OLD | NEW] [FIXED | VARIABLE]

When set to OLD the PBBS will list messages to the user from oldest to
newest. (ie ascending numberical order).
When set to NEW, the newest message will be listed first.

When the second parameter is set to FIXED, the user connot change the
listing order.

If the second parameter is set to VARIABLE, the user may change the order
in which messages will be listed by using the LO command within the PBBS.

See also: PBBS section of Operations Manual
******************************************************************************
@PBPerson     ON|OFF    OFF     Allow/disallow mailbox messages
Mode:   PBBS

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
      ON  - Only messages addressed to MYCALL or MYPBBS callsigns will be
            accepted.
      OFF - The personal mailbox will allow messages to be sent to any
            callsign.

See also: MYcall, MYPbbs, PBBS
******************************************************************************
@PErm         -         I-cmd   All TNC parameters are made "permanent"
Mode:   All Modes

Kantronics TNC Defaults:
               All Units................Immediate command

Parameters:
      none - This is an immediate command.

This command causes any parameters changed since the last PERM command to
be made "permanent"; all values are written into the EEPROM.

As this process cannot be undone by turning the TNC off, care should be
taken to see that the correct values have been selected.

The EEPROM chip can be PERMed a minimum of 1,000 times, typically over
10,000 times.

The RESTORE D command or a Hard Reset (as described in the Installation
Manual) will reinstate the factory default parameters.

If using the optional Battery Backup or SmartWatch all changed parameters
are backed up immediately and PERM is not necessary.

See also: RESTORE
******************************************************************************
@PERSist      n         63      Establish random delay settings
Mode:   Packet/KISS

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....63
               KAM......................192/63
               KPC-4....................63/63

Parameters:
      n - 0 to 255

n is used to determine if a packet will be sent after SLOTTIME expires.

For example,let's assume a PERSIST setting of 63 and a SLOTTIME setting
of 10. This slottime setting corresponds to 100 milliseconds. when the
TNC detects that the channel is clear and available (no carrier is
detected), it starts a timer (SLOTTIME). When the timer expires (100 ms
in our case) the TNC generates a random number between 0 and 255. If the
generated number is equal to or less than the PERSIST value, the TNC keys
up the transmitter and sends the data packet. With our setting of 63 the
odds of this occuring after the first slottime are 1 in 4. (Actually the
probability is PERSIST plus 1 divided by 256).

If the TNC generated random number is greater than PERSIST, the TNC
restarts the timer and waits for the timer to expire again before
generating a new random number. This is repeated until the TNC gains
access and sends its packet of information.

The algorithm used to determine whether or not to transmit using the
PERSIST/SLOTTIME method has shown to be considerably more sophisticated
than the DWAIT method used by most standard AX.25 packet stations. The
result of using the persistence algorithm is increased throughput under
most channel conditions.

Making SLOTTIME smaller will cause the TNC to generate the random number
more frequently, whereas raising the PERSIST value will give a better
chance (improve the odds) of transmitting the data. Through careful choice
of these values, it is possible to improve data throughput while at the
same time permitting shared channel useage by other packet stations. The
persistence algorithm has been added on top of the DWAIT algorithm.

See also: SLottime
******************************************************************************
@PId          ON|OFF    OFF     Determines what packets will be received
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....OFF
               KAM/KPC-4................OFF/OFF

Parameters:
      ON  - All packets are displayed.
      OFF - Only those packets with a protocol ID of $F0 (pure AX.25)
            are displayed.

Some of the information in non-AX.25 (for example: TCP/IP, NET/ROM or
TheNet) packets can cause some computers to lock up.
******************************************************************************
@PMode        x         NONE    Determines TNC mode at power-on.
Mode:   All modes

Kantronics TNC Defaults:
               KAM......................NONE

Parameters:
       x - None, Ascii, AMtor, CW, Fec, Rtty, NAvtex

This command is used to determine the mode the TNC will be in at power-on,
if INTFACE is not set to KISS or HOST.

For example, if PMODE RTTY is used, the TNC will power-on in RTTY ready to
operate at the baud rate specified in RBAUD, and no command prompt, cmd:,
will appear.

If not using the Battery Backup or SmartWatch option this must be PERMed
to be in effect after the power is turned off.

See also: INtface
******************************************************************************
@POrt         HF|VHF    VHF     Determines which radio port will be addressed
Mode:   Packet

Kantronics TNC Defaults:
               KAM......................VHF
               KPC-4....................1

This command determines the radio port to which the I/O will be addressed
at power-on.

The STREAMSW characters can then be used to switch between radio ports.

If not using the Battery Backup or SmartWatch option this must be PERMed
to be in effect after the power is turned off.

See also: STReamsw
******************************************************************************
@POStkey      n         12      Set time delay for PTT release
Mode:   All Modes

Kantronics TNC Defaults:
               KAM......................12

Parameters:
       n - 0 to 15

This command sets the time delay after the last data has been sent to
the radio before the PTT line is released on the HF port of the KAM.

The audio will be turned off n * .83 milliseconds before releasing the
PTT line.

See also PRekey
******************************************************************************
@PRekey       n         12      Set time delay before audio is sent
Mode:   All Modes

Kantronics TNC Defaults:
               KAM......................12

Parameters:
       n - 0 to 15

This command sets the time delay between the assertion of PTT and the
beginning of any audio from the KAM HF port to the radio.

The audio will begin n * .83 milliseconds after the PTT line is activated.

See also: POStkey
******************************************************************************
@PRosign                $5C     Forms CW Prosign character
Mode:   CW

Kantronics TNC Defaults:
               KAM......................$5C (\)

The PROSIGN command is used to select the character to be used as the
lead-in character for forming a CW prosign.

When the selected character is entered during CW transmission or within
text to be used for CW transmission, it will cause the NEXT TWO character
codes to be combined.

For example, \AS will cause the codes for A and S to be combined into the
"wait" code or "AS" (di' dah di' di' dit).

See also: MORse
******************************************************************************
@PText        message   blank   Specifies text for PBBS sign-on message
Mode:   PBBS

Kantronics TNC Defaults:
               All Units................blank

Parameters:
       message - Up to 128 characters

This entry specifies the customised text sent with the initial PBBS
(personal mailbox) sign-on message (when PBBS is connected to by a remote
station).

Enter any combination of characters and spaces up to a maximum length of
128. Entering a single "%" will clear PTEXT. Yoy should not have the ">"
character in your PTEXT, as this is reserved by BBS systems for their
prompt.

See also: PBBS
******************************************************************************
@RBaud        n         45      Sets default baud rate when entering RTTY
Mode:   RTTY


Kantronics TNC Defaults:
               KAM......................45

Parameters:
       n - 20 to 500

This command sets the default baud rate that may be used when entering
RTTY operations. It also sets the baud rate used by PMODE if RTTY is
specified as that parameter.

Your favourite RTTY speed can be entered here as RBAUD, and when operating
at any other speed, instant reconfiguration to RBAUD speed can be had by
use of the <Ctrl-C> 0 command.

See also: PMode, Rtty; Ctrl-C n directives
******************************************************************************
@REDispla     n         $12     Character to redisplay input line
Mode:   All except Wefax

Kantronics TNC Defaults:
               All Units................$12 (Ctrl-R)

Parameters:
      'n' - $00 to $FF specifies an ASCII character code to be used as the
            <REDISPLAY> character.

This command is used to change the REDISPLAY-packet input editing
character. The parameter n is the ASCII code for the character you want
to type in order to REDISPLAY the packet currently being entered.

This is not normally used in paKet as the Type Ahead Buffer is most
commonly used to hold the data before it is sent. In that case you can use
paKet's editing facilities to view and edit the data before it is sent.

If you are not using the Type Ahead buffer, you can type this character to
cause the TNC to redisplay the packet you have begun. When you type the
REDISPLAY-packet character, the following things happen:

   First, type-in flow control is released (if FLOW was enabled). This
   displays any incoming packets that are pending.

   Then a \ (backslash) character is displayed, and the packet you have
   begun is redisplayed on the next line. If you have deleted and retyped
   any character, only the final form of the packet will be shown.

You are now ready to continue typing where you left off. Incoming packets
will continue to be displayed until you type the next character to be
inserted into the packet.

You could use the REDISPLAY-packet character to see a "clean" copy of your
input if you are using a printing terminal (or have BKONDEL OFF) and have
deleted characters. The REDISPLAYed packet will show the corrected text.

You can also use this character if you are typing a message in Convers
Mode (and not using the Type Ahead buffer) and a packet comes in. You can
see the incoming message before you send your packet without cancelling
your input.

In non-packet modes you can use this character to see what characters are
still in your transmit buffer.

See also: BKondel, CANline, CANPac, FLow
******************************************************************************
@RELink       ON|OFF    OFF     Tries to reconnect after RETRY exceeded
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....OFF
               KAM/KPC-4................OFF/OFF

Parameters:
     ON  - The TNC operating with AX25L2V2 ON will attempt to automatically
           reconnect after RETRY is exceeded.
     OFF - The TNC operating with AX25L2V2 ON does not attempt to
           automatically reconnect.

The KA-NODE and the PBBS will never attempt to reconnect regardless of the
setting of this command.

If using AX.25 Level 2 Version 1 (AX25L2V2 OFF) this command has no effect.

See also: AX25l2v2, RETry, TRIes
******************************************************************************
@REPhase      ON|OFF    OFF     Automatically attempts to rephase - Amtor
Mode:   AMTOR

Kantronics TNC Defaults:
               KAM......................ON

Parameters:
     ON  - The KAM will automatically attempt to rephase with the other
           station if repeated errors occur.
     OFF - Repeated errors will cause the KAM to return to AMTOR standby
           mode.

******************************************************************************
@RESet        -         I-cmd   Performs a soft reset
Mode:   All Modes

Kantronics TNC Defaults:
               All Units................Immediate command

Parameters:
      None

This command is used to perform a soft reset.

Any parameters changed but not PERMed are retained. What is in the mailbox
(PBBS) is kept, and the NDHEARD and MHEARD logs are not cleared.

Any existing connections will not be recognised by your TNC even though
the other end still believes it is connected to you.

The initial sign-on message will be displayed.

On most other TNCs this function is performed by a RESTART command.

paKet will issue this command after you make any changes to the computer's
Serial port settings, so be sure to specify this command in paKet's Serial
Port Configuration, otherwise the more standard RESTART command will be
used.

See also: INtface, MAXUSERS, NUMNODES, PBBS, PMode, POrt, RESTORE
******************************************************************************
@RESptime     n         5       Set minimum ack time for packet
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....5
               KAM/KPC-4................5/5

Parameters:
      'n' - 0 to 255 specifies the number of 100ms intervals for delay.

The number specified establishes a minimum delay, in 100 ms increments,
that is imposed on acknowledgement of information-bearing packets
(I-frames).

Delay may run concurrently with DWAIT (PERSIST and SLOTTIME) and any other
random delays in effect.

This command is useful in avoiding collisions during such activity as file
transfers using full-length packets. This timer is suspended whenever PTT
or carrier detect is present if operating half-duplex.

See also: FRack
******************************************************************************
@RESTORE      -         I-cmd   Performs a soft reset
Mode:   All modes

Kantronics TNC Defaults:
               All Units................Immediate command

When RESTORE is given without any arguments, the TNC will read all
parameters from the EEPROM and then perform a soft reset. This returns
the TNC to the parameters you last PERMed, even if you have Battery
Backup or SmartWatch installed.

RESTORE will set the ABAUD to the value PERMed in the EEPROM and
immediately switch to that baud rate. If the last PERMed value for the
PBBS is large enough to accept all messages in your mailbox, then no
messages will be lost by performing the RESTORE command.

If the command RESTORE D is given, the TNC will revert to factory default
settings, ask for your callsign, and then perform a soft reset. The ABAUD
parameter will be set to 0 but the unit will not perform the autobaud
routine. These settings are not PERMed, so turning the unit OFF and then
ON will return you to the EEPROM values or, if Battery Backup or
SmartWatch is installed, to the RAM values.

See also: PErm, RESet
******************************************************************************
@RETry        n         10      Number of times a packet may be resent
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....10
               KAM/KPC-4................10/10

Parameters:
    n - 0 to 15 specifies the maximum number of packet retries before
        disconnecting.

This command specifies the number of packet retries.

Packets are re-transmitted n times before the operation is aborted. The
time between retries is specified by the command FRACK.

See also: AX25l2v2, FRack, RELink, TRIes
******************************************************************************
@RIng         ON|OFF    ON      Three bell characters are sent when connected
Mode:   Packet

Kantronics TNC Defaults:
               All Units................ON

Parameters:
       ON  - Three bell characters ($07) are sent to the terminal with each
             "***CONNECTED TO" message when another station initiates the
             connect.
       OFF - No bell characters are sent to the terminal.

paKet generates its own connect bells so you might prefer to set this OFF
and leave it to paKet to alert you to a connection.
******************************************************************************
@RNrtime      n         0       Provide auto disconnect if device busy
Mode:   Packet/KA-NODE/PBBS

Kantronics TNC Defaults:
               All Units................0

Parameters:
    n - 0 to 255

RNRTIME is set in 10 second increments. If a connection stays in a remote
device busy state (continues to receive RNR frames) for RNRTIME, the TNC
will disconnect.

If a KA-NODE connection stays in a remote device busy for RNRTIME the
KA-NODE will disconnect the input and output sides of the KA-NODE circuit.

Setting RNRTIME to 0 disables this function.

See also: MResp
******************************************************************************
@RTEXT       text               MYREMOTE password setting
default (blank)         All Units version 5 PBBS

This command sets the password string for use when accessing the MYREMOTE
or when performing SYSOP functions in the PBBS remotely. When you connect
to the MYREMOTE or attempt to enter the SYSOP mode of the PBBS, the TNC
will send three sets of numbers, one of which must be properly decoded
using this string. For instance, if the RTEXT is set to "This is my RTEXT
string" and you connect to the MYREMOTE, the TNC would send three sets of
RANDOM numbers. These numbers would look like:

5 20 14 7 18 3
7 1 4 14 8 19
9 3 8 12 22 1

You must then pick ONE of these LINES and decode the password string.
Let's say I choose to decode line 3 (9 3 8 12 22 1)  Rewriting my RTEXT
string to make this easier i would have:

         1         2
12345678901234567890123
This is my RTEXT string

Now, decoding the string, character 9 is "m" character 3 is "i", character
8 is " ", character 12 is "R", character 22 is "n", and character 1 is
"T". I must send the following response to my remote access attempt:

mi RnT

Note that case IS significant and spaces are considered VALID characters.
If you fail to properly decode the password, the TNC will send three new
lines of numbers. You will be given a maximum of three attempts to
properly decode the password string. If you fail in three attempts, the
TNC will disconnect you. After failing in three attempts, the MYREMOTE is
disabled for 15 minutes.

The best way to understand this is to try it and see !!!

******************************************************************************
@Rtty         n         I-cmd   Places TNC in RTTY Mode
Mode:   RTTY

Kantronics TNC Defaults:
               KAM......................Immediate command

Parameters:
    n - 20 to 500

This command places the TNC in RTTY Mode.

The parameter n sets the transceiver baud rate. If n is not specified, the
baud rate specified in RBAUD is used.

See also: AUTOStrt, CANline, PMode, RBaud
******************************************************************************
@SCreenln     n         0       Length of data line sent from KAM
Mode:   Packet

Kantronics TNC Defaults:
               All Units................0

Parameters:
     n - 0 to 255, specifying the number of characters to be
         displayed per line on the screen or platen.

This value is used to properly format what is sent to your computer. A <CR>
sequence is sent to the terminal at the end of a line when n characters
have been printed. A value of 0 inhibits this action.

While using paKet, set SCreenln 0.

See also: AUTOLf
******************************************************************************
@SEndpac      n         $0D     Character that forces a packet to be sent
Mode:   Packet

Kantronics TNC Defaults:
               All Units................$0D (CR)

Parameters:
    n - $00 to $FF specifies an ASCII character code to be used as the
        <SENDPAC> character.

The default character is <CR> which means a packet will be sent in Convers
Mode when you press the <CR> key. Please leave this set to the default
value (<CR>). You might like to set this to some value you would not
normally use if you decide to set CPACTIME ON in order to send packets at
regular intervals rather than at the end of a line.

However, if paKet's Word Wrap option is ON (refer to the F4 key) it will
generate a <CR> at the end of a full line to save you having to watch for
the end of a line. So, if you change this SENDPAC character to something
else, that Word Wrap feature will insert the <CR> into the data but will
not cause the packet to be sent at the end of the line as expected, but
will result in the receiving station having formatted line lengths.

See also: CPactime, CR
******************************************************************************
@SHift        n         170     Sets default shift used in non-CW modes
Mode:   All modes Except CW

Kantronics TNC Defaults:
               KAM......................170

Parameters:
       n - 170, 425, 850 or Modem

This command sets the default shift used in non-CW modes.

When Modem is specified, the MARK and SPACE commands set the mark and
space frequencies used. The modem tones are always selected for packet
operation.

Once you have entered a non-packet mode, <Ctrl-C> S can be used to
change shifts without affecting the SHIFT parameter.

See also: MARk, SPace
******************************************************************************
@SLottime     n         10      Specifies amount of time between tries
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....10
               KAM......................5/10
               KPC-4....................10/10

Parameters:
     n - 0 to 255

n specifies the amount of time, in 10 millisecond increments, between
successive tries of the persistence algorithm.

See also: PERSist
******************************************************************************
@SPace        n         1800    Sets space frequency for Packet Mode
Mode:   All modes Except CW

Kantronics TNC Defaults:
               KAM......................1800

Parameters:
       n - 50 to 4000

This command sets the space frequency used when the SHIFT command is set
to Modem, or in the packet mode.

It also controls the bargraph space frequency indication.

See also: SHift
******************************************************************************
@STArt        n         $11     Character to restart after <STOP>
Mode:   All Modes

Kantronics TNC Defaults:
               All Units................$11 <Ctrl-Q>

Parameters:
      'n' - $00 to $FF specifies an ASCII character code to be used as the
            <START> character.

This command specifies the character sent by the computer to the TNC to
restart input from the TNC. If set to $00 only hardware flow control will
be used. For software flow control, set this parameter to the character
the computer will send to restart data flow.

                       PLEASE DON'T CHANGE THIS

Although START might be set to 0 temporarily during binary file
transfers with Software Handshaking, the paKet program expects START to
be <Ctrl/Q> and will not function correctly if you change it.

See also: STOp, Xflow, XOff, XON
******************************************************************************
@STATShrt     ON|OFF    ON      Display current I/O stream
Mode:   Packet

Kantronics TNC Defaults:
               All Units................ON

Parameters:
       ON  - Entry of the STATUS command will display only the current I/O
             stream and any other streams having a connected status.
       OFF - Entry of the STATUS command will display all streams allowed
             by MAXUSERS, PBBS and NUMNODES.

See also: Status
******************************************************************************
@Status       -         I-cmd   Displays identifier and link state
Mode:   Packet

Kantronics TNC Defaults:
               All Units................Immediate command

Parameters:
      none

This command will display both the identifier and link state of all
allowed streams.

If STATSHRT is ON only active streams will be displayed. The current input
and output (IO) stream is also indicated.

A pound sign (#) indicates that there is unacknowledged data in the
buffers for that stream. The following is an example of a display which
may result from entry of the STATUS command, with NUMNODES set to 2,
MAXUSERS 10, and STATSHRT OFF.

    cmd: Stat
    A    stream -   IO  CONNECTED TO VK2DHU
    B    stream -       CONNECTED TO VK2BZC
    C    stream -       DISCONNECTED
    ......
    ......
    I    stream -       CONNECTED TO VK2ZCV VIA LAW
    J    stream -       #CONNECTED TO VK2ATM
    Ain  DISCONNECTED
    Aout DISCONNECTED
    Bin  DISCONNECTED
    Bout DISCONNECTED

See also: MAXUSERS, NUMNODES, PBBS, STATShrt, STReamsw
******************************************************************************
@STOp         n         $13     Character to stop the TNC sending to paKet
Mode:   All Modes

Kantronics TNC Defaults:
               All Units................$13 <Ctrl-S>

Parameters:
      'n' - $00 to $FF specifies an ASCII character code to be used as the
            <STOP> character.

This command specifies the character sent by the computer to the TNC to
stop input from the TNC. If set to $00 only hardware flow control will be
used. For software flow control set this parameter to the character the
computer will send to stop data flow.

                       PLEASE DON'T CHANGE THIS

Although STOP might be set to 0 temporarily during binary file
transfers with Software handshaking, the paKet program expects STOP to
be <Ctrl-S> and will not function correctly if you change it.

See also: STARt, Xflow, XOff, XON
******************************************************************************
@STREAMCa     ON|OFF    OFF     Displays callsign following stream identifier
Mode:   Packet

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
     ON  - Callsign of other station is attached to stream ID.
     OFF - Stream ID only is displayed.

When monitoring packets addressed only to you, setting this command ON
will enable the display of the callsign of the connected-to station
following the stream identifier of the connection (controlled by
STREAMEV). This is especially useful when operating in a single window
with multiple connections allowed.

For paKet, please leave this option OFF.   paKet has a separate window
for each stream and the window will display the call sign of the
connected station. Setting the option on will interfere with this
processing.

See also: MCon, Monitor, STREAMEv
******************************************************************************
@STREAMEv     ON|OFF    OFF     Displays stream indicator
Mode:   Packet

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
     ON  - The stream indicator will be displayed with every incoming
           packet. This takes effect when monitoring only those packets
           addressed to you.
     OFF - The stream indicator is displayed only when a change in
           streams occurs.

Because the KAM doesn't have a streamdbl, it is suggested that you set
STREAMEV on to ensure that paKet 6 gets the correct stream switch command,
particularly if you are using VHF and HF at the same time.

See also: MCon, Monitor, STREAMCa, STReamsw
******************************************************************************
@STReamsw     n         |       Character to identify change of stream
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....$7C (|)
               KAM......................$7E/$7C (~/|)
               KPC-4....................$7C/$7E (|/~)

Parameters:
      'n' - $00 to $FF specifies the ASCII character used to change to
            another connection stream. Default $7C (|).

This command selects the character(s) to be used to signify that a new
"stream" or connection channel is being addressed. To change streams you
must send the streamswitch character followed immediately by the stream
designator. The stream designator is an alphabetic character A through Z
limited by the value of MAXUSERS.

If STREAMSW is set to a dollar sign ($24) you will need to enter
numerical code type parameter values in decimal. Or precede the $ with
the PASS character in order to enter hex numbers.

paKet will generate and send the configured STREAMSW character when you
select another Communications Window, so you would normally not have to
concern yourself with this STREAMSW character.  However for the KAM which
has TWO of these STREAMSW characters, paKet's automatic switching must be
configured properly for the second port. (see Operating Tips at the start
of this on line manual...)

The character selected can be PASS ed in the Convers Mode by using a
special PASS character, and will always be passed as data in the
Transparent Mode. If operating in the Transparent Mode and you wish
to change streams, you must first return to the Command Mode.

If you type paKet's configured STREAMSW (say the default, "|") paKet will
automatically generate the ^V PASS character and allow you to send that
vertical bar character to the other station.

If you change this parameter, you must also change that character in
paKet's Multi User Configuration window.

Please note too, that the Kantronics range of TNCs do not support the
STREAMDBL feature found on other TNCs, so please set paKet's STREAMDBL
option OFF (again in the Multi User Configuration Window).

See also: MAXUSERS, PASs, Status, Tips
******************************************************************************
@SUPCalls     +|-       NONE    For use with SUPLIST or LLIST
Mode:   Packet

Kantronics TNC Defaults:
               All Units................NONE

Parameters:
     [+|-]callsigns or NONE.

A list of up to 10 callsigns for use with SUPLIST or LLIST.

To delete or add individual entries precede the callsign with a "-" or "+"
respectively. For example to delete VK2BZC type SUPC -VK2BZC.

See also: LList, SUplist
******************************************************************************
@SUplist                OFF     Monitor all eligible packets
Mode:   Packet

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
     OFF(NO,NONE)|TO|FROM|BOTH|(ON,YES)

When OFF, SUPLIST will allow monitoring of all eligible packets (according
to other monitor commands) even if the SUPCALLS list has callsigns in it.

When BOTH or ON, packets addressed to or from those stations whose calls
are listed in the SUPCALLS will not be monitored, those from that station
will be monitored.

When set to FROM, those packets from the stations in SUPCALLS will not be
monitored, but those packets addressed to the stations in the SUPCALLS
list will be monitored. Note that SUPLIST takes precedence over BUDLIST.
For instance if you have VK2BZC in your SUPCALLS with SUPLIST TO, and you
have VK2ATM in your BUDCALLS with BUDLIST BOTH, then packets from VK2ATM
to VK2BZC will NOT be monitored.

See also: Monitor, SUPCalls.
******************************************************************************
@SWDETLed     ON|OFF    OFF     *** WARNING *** DO NOT turn ON this command
Mode:   Packet

Kantromics TNC Defaults:
               KPC-1....................OFF

Parameters:
     ON  - The RCV LED will light to indicate that carrier is being
           detected by the software carrier detect routine.

     OFF - The RCV LED will not light under any circumstances.

     *** DO NOT turn ON this command unless you have completed the
         SWDETLED Modification as detailed in the Installation Manual ***

See also: CD
******************************************************************************
@SWp          u,d,t             Sets TNC parameters for s/ware carrier detect
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....17,17,108
               KAM......................25,8,70/17,17,108
               KPC/4....................17,17,108/17,17,108

This command sets the parameters used by the TNC for software carrier
detect.

The first number (u) is used to increment a counter when a valid
mark/space or space/mark transition occurs in the received signal (i.e.
transition occurs at the beginning of a bit time).

The second number (d) is a penalty subtracted from the counter when a
transition occurs in the middle of a bit time.

The t value is the threshold value - when the counter reaches this value,
the carrier detect will be set true. Once carrier detect is active, the
counter must drop to 0 befor carrier detect is again made false.

See also: CD
******************************************************************************
@TRACe        ON|OFF    OFF     Display packet data in hexadecimal
Mode:   Packet

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
      ON  - Activate hexadecimal TRACE function
      OFF - Normal data display

When ON, all received frames are displayed in their entirety, in
hexadecimal, including all header information.

All packets which are also eligible for monitoring will be displayed in
normal text.
******************************************************************************
@Trans        -         I-cmd   Select Transparent Mode for packet
Mode:   Packet

Kantronics TNC Defaults:
               All Units................Immediate command

This command causes immediate exit from Command Mode into Transparent
Mode.

The current link state is not affected. The 8th bit is sent out as
received from paKet, no matter how 8BITCONV and PARITY are set. Parity
settings in the sending and receiving computers should be set the same for
meaningful communications.

There are no special editing characters, all characters are sent out as
received. To get out of Transparent, send the TNC a modem break, or see
CMDTIME for a special sequence.

Transparent mode is used by paKet for its binary file transfers but you
do not need to concern yourself with this because paKet makes the switch
automatically, returning to Converse mode when the file transfer is
completed.

See also: CMdtime
******************************************************************************
@TRFlow       ON|OFF    OFF     Flow control for Transparent Mode
Mode:   Packet

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
     ON  - Enables software flow control in transparent mode.
     OFF - Disables software flow control in transparent mode.

You should set this parameter OFF.

This command allows the TNC to respond to software flow control from the
computer while in the Transparent Mode.

When TRFLOW is OFF, software flow control is not used in the Transparent
Mode. Hardware flow control will be expected from the computer by the TNC.

When ON, software flow control is enabled and the START and STOP
characters are sent by the computer to the TNC to control the flow of
data. When START and STOP are set to $00, hardware flow control must be
used. If not zero, the TNC will respond to the computer's START and STOP
characters, and remain transparent to other characters from the terminal
or computer.

When START and STOP are set for software flow control (normally Ctrl-Q
and Ctrl-S) all characters can be received in Transparent Mode (including
the START and STOP characters) by setting TRFLOW ON and TXFLOW OFF. You
will not, however, be able to send the START and STOP characters, since
the TNC will interpret them as flow control.

If you find this all confusing, don't worry!    paKet will look after it
for you.  Set TRFLOW OFF and paKet will switch it on and off as required.

See also Trans, TXFlow, Xflow
******************************************************************************
@TRIes        n         none    Display number of "tries"
Mode:   Packet

Kantronics TNC Defaults:
               All Units................none

Parameters:
      'n' - 0 to 15 specifies the current RETRY level on the selected
            input stream.

The TRIES command will display and optionally set the number of attempts
which have been made to re-send a packet which failed to reach its
destination.

For instance, if RETRY is set to 10, TRIES will show how many attempts
have already been made to pass the data. If TRIES were to show 8, "TRIES
3" would reset the counter to make the TNC believe that it had only tried
3 times so far, thus allowing 7 more attempts before the RETRY limit is
exceedeed.

See also: RETry
******************************************************************************
@TXDAmtor     n         5       Establishes transmit key-up delay in AMTOR
Mode:   AMTOR

Kantronics TNC Defaults:
               KAM......................5

Parameters:
     'n' - 0 to 9

This command establishes the transmit key-up delay used in AMTOR
operation. Each number increment sets a multiple of 10 ms.

See also: AMtor
******************************************************************************
@TXdelay      n         30      Delay before sending packet
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....30
               KAM/KPC-4................30/30

Parameters:
      'n' - 0 to 255 specifies the number of 10ms intervals to wait
            before commencing the transmission.

This command sets the transmitter key-up delay as 10 * n ms.

This setting establishes the time delay between the application of
push-to-talk and AFSK data tones to the transmitter. Flags (character to
begin packet) are sent during the delay.

This command needs to be set long enough to give your transmitter time to
come to full power before data is sent. If set too short the beginning of
the packet will be chopped off and another station will never be able to
decode you. If set too long additional flags at the beginning (heard as
repetitive sound) just wastes air time. It may be necessary to increase
your TXDELAY to allow the receiving station sufficient time for his
receiver to detect your signal (i.e. switch from transmit back to receive).

Common settings for modern PLL rigs is TXD of 40.
Older radios with relay changeover might require TXD 60.

On HF it is better to have a TXD of at least 60.

Experiment with this setting but too shorter delay will mean the TNC will
have half sent the packet before the radio keys up properly.
******************************************************************************
@TXDFec       n         0       Sets number of extra secs. for phasing sigs
Mode:   FEC

Kantronics TNC Defaults:
               KAM......................0

Parameters:
     'n' - 0 to 25

This command sets the number of extra seconds that the KAM will send
phasing signals at the beginning of an FEC transmission.

This allows more time for a station to tune to your FEC transmission and
obtain a LOCK condition before you actually begin transmitting data.

See also: Fec
******************************************************************************
@TXFlow       ON|OFF    OFF     Flow control for Transparent Mode
Mode:   Packet

Kantronics TNC Defaults:
               All Units................OFF

Parameters:
     ON  - Enables software flow control when in transparent mode.
     OFF - Disables software flow control when in transparent mode.

You should set this parameter OFF.

This command allows the TNC to send software flow control (XON and XOFF)
to stop and restart the flow of data from the computer while in the
Transparent Mode.

When TXFLOW is OFF, hardware flow control must be used between the
computer and TNC. RTS and CTS must be connected between the TNC and
computer for hardware flow control.

When TXFLOW is ON, software flow control between the TNC and computer in
Transparent Mode will depend on the setting of XFLOW - XFLOW ON enables
software flow control, XFLOW OFF disables it. When software flow control is
enabled, the TNC will send the XON and XOFF characters to the computer to
control data flow.

When set for software flow control, all characters can be sent in
Transparent Mode (including the XON and XOFF characters) by setting
TXFLOW ON, XFLOW ON and TRFLOW OFF. You will not, however, be able to
receive the START and STOP characters since your terminal programme should
interpret them as flow control.

If you find this all confusing, don't worry!    paKet will look after it
for you.  Set TXFLOW OFF and paKet will switch it on and off as required.

See also Trans, TRFlow, Xflow
******************************************************************************
@Unproto      call1     CQ      Set address for unconnected packets
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....CQ
               KAM/KPC-4................CQ/CQ

Parameters:
     call 1 (VIA call 2, call 3...call 9) | NONE
     The call sign to be placed in the TO address field for any
     unconnected packets, such as Beacons.

call 1 = destination address (this is really just a "dummy" address,as no
connection takes place, people often put their name or CQ here).

call 2...call 9 = optional stations to be digipeated through. A maximum
of 8 digipeat addresses (callsigns or aliases) can be specified. This is
reffered to as a path.

Each callsign may also have an optional supplemental station identifier
(SSID) specified as -n, where n = 1 to 15. the digipeat callsigns are
specified in the order in which they are to relay transmitted packets.

This command is used to set the digipeat and destination address fields
for packets sent in the unconnected (unprotocol) mode. Unproto packets
do not receive an acknowledgement and are not retried. They are sent as
Unsequenced I-frames <UI>. The digipeater list is also used for BEACON
and ID packets.


If UNPROTO is "NONE", no unconnected packets will be sent except for
BEACON and ID.

Unconnected packets sent from other units can be monitored by setting
MONITOR ON.

See also: MYAlias, Beacon, Id, Monitor, MRPt, XMitok
******************************************************************************
@USers        n         1       Number of incoming connects allowed
Mode:   Packet

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....1
               KAM/KPC-4................1/1

Parameters:
      'n' - 0 to 26 specifies the maximum number of active simultaneous
            connections that you will accept.

       0  - Do NOT allow any incoming connections.
       1  - Allow incoming connection on stream A only
       2  - Allow incoming connection on streams A & B only.
      etc

This command specifies the streams which may be available to
incoming connect requests.

For example, if USERS = 5 then an incoming connect request will connect to
the lowest channel A to E, if any of these channels are in the unconnected
state. If none of the 5 channels are available (all of them are
connected), a <DM> packet will be sent back to the requesting station and
the message "*** connect request:(call)" will be optionally sent to the
computer (depending on the INTFACE setting).

If users is set to 0 no one will be able to connect to you.

If USERS is set higher than MAXUSERS, the extra is ignored and the message
"USERS LIMITED BY MAXUSERS" will be displayed.

See also: INtface, MAXUSERS, STReamsw
******************************************************************************
@USOs         ON|OFF    ON      Unshift to letters case in BAUDOT RTTY
Mode:   RTTY

Kantronics TNC Defaults:
               KAM......................OFF

Parameters:
     ON  - An unshift to letters case is effected when a space is
           received in BAUDOT RTTY. If LCRTTY is ON, a space will cause
           an unshift to lower case.
     OFF - No special action is taken when a space is received.
******************************************************************************
@Version                I-cmd   Displays current TNC version number
Immediate

This command causes the TNC to display its current version number along
with the name of the unit.

The version number of your TNC determines a lot of its commands.

This manual is aimed at the VERSION 5 upgrade for the KAM or KPC-4.
There are a lot of NEW settings in the VERSION 6 pactor update for the KAM
that is not covered in this manual. It was not considered necessary.

If you do not have a version 5 KAM/KPC we suggest that you upgrade as the
older versions are limited in their operation.

Contact your nearest agent for update information.
******************************************************************************
@Wefax        n         I-cmd   Permits reception of weather Facsimile
Mode:   WEFAX

Knatronics TNC Defaults:
               KAM......................Immediate command

This command permits the reception of Weather Facsimile.

The audio input is sampled n times per second, and a black/white decision
is made on each sample. Each sample becomes one bit of the data sent over
the serial port to the computer.

A special computer program must be used to display the WEFAX pictures as
this facility is not currently supported in paKet.

The Wefax mode DOES NOT SUPPORT GREY SCALE PICTURES. IT IS PURELY BLACK
AND WHITE (MARK/SPACE) DECODING FOR HF WEATHER MAPS IN PARTICULAR. THIS IS
A HARDWARE LIMITATION OF THE KAM, AS IT DOES NOT USE ANALOG TO DIGITAL
CONVERSION.


See also: DAYTWeak; WEFAX Reception section of Operations Manual
******************************************************************************
@WText        msg       blank   Specifies txt sent in response to WRU cmd
Mode:   AMTOR

Kantronics TNC Defaults:
               KAM......................blank

Parameters:
     msg - Up to 128 characters

This entry specifies the text to be sent in response to a WRU command
while in AMTOR (ARQ) Mode only.

Enter any combination of characters and spaces up to a maximum length of
128. Entering a single "%" will clear WTEXT.

See also: Ctrl-W in the Directives section of the Commands Manual.
******************************************************************************
@Xflow        ON|OFF    ON      Sets hardware or software flow control
Mode:   All Modes

Kantronics TNC Defaults:
               All Units................ON

Parameters:
      ON  - Software flow control is enabled.
      OFF - Hardware flow control is enabled.

This parameter is IMPORTANT to the current functioning of the system and
must be set according to the chosen method of Handshaking. Refer to the
Hardware vs Software Handshaking section in paKet's Manual for more
information.

If you are using Hardware Handshaking, set XFLOW OFF.
If you are using Software Handshaking, set XFLOW ON.

Please ensure paKet's Serial Port Configuration is also set to HW or SW to
match this setting.


                    Software Handshaking:

When ON software flow control will be implemented according to the
settings of START, STOP, XON, XOFF.

For normal software flow control set:
    XFLOW ON,
    START $11,
    STOP $13,
    XON $11,
    XOFF $13.
If the software flow control characters are set to $00, software flow
control is not possible.

The TNC expects paKet to respond to the flow control characters XON and
XOFF, and the TNC responds to the START and STOP characters from paKet.

In the Transparent Mode software flow control is also determined by the
setting of TRFLOW and TXFLOW, but these commands are managed by paKet as
required so set them both OFF.



                    Hardware Handshaking:

When OFF the TNC will only use and recognise hardware flow control lines
(CTS and RTS) to start or stop data. The RS-232 cable must be wired
appropriately.


See also: STARt, STOp, TRFlow, TXFlow, XOff, XON
******************************************************************************
@XMitecho     ON|OFF    OFF     Echo characters sent to transceiver
Mode:   CW/RTTY/ASCII/AMTOR

Kantronics TNC Defaults:
               KAM......................OFF

Parameters:
     ON  - Characters are echoed when they are sent to the transceiver
           for output.
    OFF - Echo is immediate.
******************************************************************************
@XMitok       ON|OFF    ON      Enable transmitter
Mode:   All Modes

Kantronics TNC Defaults:
               KPC-1/KPC-2/KPC-2400.....ON

Parameters:
      ON  - The transmitter's PTT line may be switched on.
      OFF - The transmitter's PTT line cannot be activated.

This feature may be most useful for testing as all other functions work
normally, including sending and receiving of data. The only difference is
that when data is sent to the radio, it is not actually transmitted
because the PTT line is not switched on.

It is also useful if you want to leave the system running while you are
absent, but do not want any unattended transmissions.
******************************************************************************
@XOff         n         $13     Character to stop paKet sending to the TNC
Mode:   All Modes

Kantronics TNC Defaults:
               All Units................$13 (Ctrl-S)

Parameters:
    n - $00 to $FF specifies an ASCII character code to be used as the
            <XOFF> character. Default <Ctrl-S>

This command sets the character sent by the TNC to paKet to stop input
from the computer. If set to $00 hardware flow control must be used. For
software flow control set this parameter to the character paKet expects to
see to stop sending data to the TNC.

                       PLEASE DON'T CHANGE THIS

Although XOFF might be set to 0 temporarily during binary file
transfers with Software handshaking, the paKet program expects XOFF to
be <Ctrl-S> and will not function correctly if you change it.

See also: Xflow, XON
******************************************************************************
@XON          n         $11     Character to restart after <XOFF>
Mode:   All Modes

Kantronics TNC Defaults:
               All Units................$11 (Ctrl-Q)

Parameters:
    n - $00 to $FF specifies an ASCII character code to be used as the
        <XON> character. Default <Ctrl-Q>

This command selects the character sent by the TNC to paKet to restart
input from the computer. If set to $00 hardware flow control must be used.
For software flow control set this parameter to the character paKet
expects to see to restart sending data to the TNC.

                       PLEASE DON'T CHANGE THIS

Although XON might be set to 0 temporarily during binary file
transfers with Software handshaking, the paKet program expects XON to
be <Ctrl-Q> and will not function correctly if you change it.

See also: Xflow, XOff
******************************************************************************
@This Manual                    Whodunnit

This Manual was originally compiled by the late Col Pryce, VK2KQX.
I dedicate this manual to Col as he was the strength behind getting Tony
to support the KAM. Sadly, Col is greatly missed by his mates...

The manual was UPDATED to the KAM Version 5 level by Andy, VK4WAC 2/5/94

All care and late nights have been taken to observe it is correct and
concise....however there may be omissions and errors. If you cannot find a
command that used to be in the paKet 5 manual, it has been omitted because
it is no longer a valid command in the KAM VERSION 5 FIRMWARE upgrade. OK ?
(see VERSION)

If you have a problem with your Kantronics TNC and paKet 6, don't stew on
it, send someone a message!!

Andy vk4wac @ vk4bbs.bne.qld.aus.oc  or vk4wac @ vk4wan.qut.ampr.org

